/*
**> Bates91.prg
**
*/

new;
library option;

S0 = 250;
b = 0;
r = 0.10;
tau = 0.25;

K = seqa(220,15,5);
let sigma[1,5] =  0.1414   0.10   0.10  0.10  0.10;
let lambdaStar[1,5] = 0       10     10     0.25  0.25;
let gammaStar[1,5] = 0        0.01  -0.01  0.20  -0.20;
let deltaStar[1,5] =  0        0.03   0.03  0      0;

kbarStar = exp(gammaStar) - 1;

_Option_Type = "call";
C =  EuropeanMerton(S0,K,sigma,tau,b,r,kbarStar,deltaStar,lambdaStar);
_Option_Type = "put";
P = EuropeanMerton(S0,K,sigma,tau,b,r,kbarStar,deltaStar,lambdaStar);

call printfm(C,1,"*.*lf" ~ 8 ~ 2);
print;
call printfm(P,1,"*.*lf" ~ 8 ~ 2);
print;

sigma =  0.1414;
lambdaStar = 0;
gammaStar = 0;
deltaStar =  0;

kbarStar = exp(gammaStar) - 1;

C = {};
P = {};

_Option_Type = "call";
C = C ~ C ~ AmericanMerton(S0,K,sigma,tau,b,r,kbarStar,deltaStar,lambdaStar);
_Option_Type = "put";
P = AmericanMerton(S0,K,sigma,tau,b,r,kbarStar,deltaStar,lambdaStar);

sigma =  0.10;
lambdaStar = 10;
gammaStar = 0.01;
deltaStar =  0.03;

kbarStar = exp(gammaStar) - 1;

_Option_Type = "call";
C = C ~ AmericanMerton(S0,K,sigma,tau,b,r,kbarStar,deltaStar,lambdaStar);
_Option_Type = "put";
P = P ~ AmericanMerton(S0,K,sigma,tau,b,r,kbarStar,deltaStar,lambdaStar);

sigma =  0.10;
lambdaStar = 10;
gammaStar = -0.01;
deltaStar =  0.03;

kbarStar = exp(gammaStar) - 1;

_Option_Type = "call";
C = C ~ AmericanMerton(S0,K,sigma,tau,b,r,kbarStar,deltaStar,lambdaStar);
_Option_Type = "put";
P = P ~ AmericanMerton(S0,K,sigma,tau,b,r,kbarStar,deltaStar,lambdaStar);

sigma =  0.10;
lambdaStar = 0.25;
gammaStar = 0.20;
deltaStar =  0.0;

kbarStar = exp(gammaStar) - 1;

_Option_Type = "call";
C = C ~ AmericanMerton(S0,K,sigma,tau,b,r,kbarStar,deltaStar,lambdaStar);
_Option_Type = "put";
P = P ~ AmericanMerton(S0,K,sigma,tau,b,r,kbarStar,deltaStar,lambdaStar);

sigma =  0.10;
lambdaStar = 0.25;
gammaStar = -0.20;
deltaStar =  0.;

kbarStar = exp(gammaStar) - 1;

_Option_Type = "call";
C = C ~ AmericanMerton(S0,K,sigma,tau,b,r,kbarStar,deltaStar,lambdaStar);
_Option_Type = "put";
P = P ~ AmericanMerton(S0,K,sigma,tau,b,r,kbarStar,deltaStar,lambdaStar);

call printfm(C,1,"*.*lf" ~ 8 ~ 2);
print;
call printfm(P,1,"*.*lf" ~ 8 ~ 2);
