new;
library option,pgraph;

S0 = 100;
tau = 1/12;
r = 0.05;
rStar = 0.09;
b = r - rStar;
sigma =  0.20;

K = 100;
S0 = seqa(85,1,31);

_option_type = "call";

Nrows = rows(K);

bCCL = -0.04 ~ -0.04 ~ -0.035;
sigmaCCL = 0.20~0.20~0.12;
lambdaCCL = 0 ~ 3 ~ 15;

Ncols = cols(lambdaCCL);

BS =  EuropeanBS(S0,K,sigma,tau,b,r);
CCL =  EuropeanCCL(S0,K,sigmaCCL,tau,bCCL,r,lambdaCCL);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _plwidth = 10; _pltype = 6|1|3|4;
  fonts("simplex simgrma");
  xtics(85,115,5,5);
  ytics(0,15,5,5);
  xlabel("\216S]0[");
  ylabel("\216Option Price"); 
  _plegstr = "BS\000(b,\202s\201,\202l\201)]CCL[ = (-0.04,0.20,0)"\
             "\000(b,\202s\201,\202l\201)]CCL[ = (-0.04,0.20,3)"\
             "\000(b,\202s\201,\202l\201)]CCL[ = (-0.035,0.12,15)";
  _plegctl = {2 5 2 4}; 
  xy(S0,BS~CCL);


