new;
library option,pgraph;

S0 = 100;
K = 100;
sigma = 0.20;
r = 0.05;
b = r;
tau = 1.0;

n = 4;

{CRR,Tree} = EuropeanCRR(S0,K,sigma,tau,b,r,n);
print /flush ftos(CRR,"CRR option price = %lf",5,5);

fn call_payoff(S,K) = (S - K) .* (S .>= K);

Ns = 10000;
{S1,S2} = Simulate_CRR_av(S0,sigma,tau,b,r,n,nS);

ST1 = S1[n,.]';
ST2 = S2[n,.]';

C1 = exp(-r*tau)*meanc(call_payoff(ST1,K));
C2 = exp(-r*tau)*meanc(call_payoff(ST2,K));
Cav = 0.5 * (C1 + C2); 
print /flush ftos(C1,"CRR option price (MC) = %lf",5,5);
print /flush ftos(C2,"CRR option price (MC) = %lf",5,5);
print /flush ftos(Cav,"CRR option price (MC Antithetic Variables) = %lf",5,5);