new;
library option,pgraph;

S0 = 100;
sigma = 0.20;
r = 0.05;
b = r;
tau = 1.0;

let K = 90 95 98 99 100 101 102 105 110;

C1 = EuropeanBS(S0,K,0.20,tau,b,r);
ImpVol1 = EuropeanBS_ImpVol(S0,K,tau,b,r,C1);

let C2 = 17.0 13.5 11.6 11.0 10.4 9.9 9.5 8.3 7.0; 
ImpVol2 = EuropeanBS_ImpVol(S0,K,tau,b,r,C2);

let C3 = 18.0 14.25 12.0 11.0 10.4 10.1 9.7 8.6 7.8; 
ImpVol3 = EuropeanBS_ImpVol(S0,K,tau,b,r,C3);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3|1; _plwidth = 10; _pcolor = 9|12|10;
  xlabel("\216Strike K");
  ylabel("\216Implied Volatility \202S\201(K)");
  graphprt("-c=1 -cf=smile1.eps");
  xy(K,ImpVol1~ImpVol2~ImpVol3);