new;
library qam,optmum;

cls;

rndseed 123456;

Nobs = 100;
Nreg = 4;
sigma = 0.25;

beta = rndn(Nreg,1);

rndseed 123456;

x1 = rndu(Nobs,Nreg);
y1 = x1*beta + rndn(Nobs,1)*sigma;
x2 = rndu(Nobs,Nreg);
y2 = x2*(beta+1) + rndn(Nobs,1)*sigma;
x = x1|x2;
y = y1|y2;
y[1] = miss(0,0);

_reg_weight = ones(Nobs,1)|3*ones(Nobs,1);
let _ParNames = var1 var2 var3 var4;
sv = 0|0|0|0;
{RR,r,gamma_} = regRestrict(sv,1|2);
{theta,stderr,Mcov,u} = regOLS(y,x,RR,r);

A = 1~0~0~0 |
    0~1~0~0 ;
B = 0 |
    0 ;

{beta,u,R2} = regQP(y,x,0,0,A,B,0,0,0);