new;
library qam,pgraph,optmum;

rndseed 123456;

cls;

n = 18;
sigma = 0.20/sqrt(52);
x = rndn(n,1) * sqrt(sigma);
beta = 0.8;
y = x * beta + rndn(n,1) * 0.05;

beta_hat = y/x;
print beta_hat;
u = y - x*beta_hat;

std_y = stdc(y);
std_x = stdc(x);
std_u = stdc(u);
print std_y^2;
print beta_hat^2*std_x^2+std_u^2;
print (beta_hat^2*std_x^2)/(std_y^2);

t = seqa(1,1,n);

print t~x~y;

t = reshape(t,3,6);
x = reshape(x,3,6);
y = reshape(y,3,6);

indx = seqa(1,3,3);
data = zeros(9,6);
data[indx,.] = t;
data[indx+1,.] = x;
data[indx+2,.] = y;

print ftosa(data,"%lf",3,2);
