new;
library pgraph,optmum,qam;

cls;

Let A[5,2] = 1.0 1.0
             1.0 1.0
             1.0 0.0 
             1.0 0.0
             1.0 0.0;
n = rows(A);
m = cols(A);

let sigma_F = 0.20 0.10;
let rho_F[2,2] = 1 0
                 0 1;
Omega = rho_F' .* sigma_F .* sigma_F';
let sigma_A = 0.10 0.15 0.10 0.15 0.20;
D = diagrv(eye(n),sigma_A^2);

cov = A*Omega*A' + D;
sigma = sqrt(diag(cov));
rho = cov ./ sigma ./ sigma';

x = ones(5,1);

var_f = diag(x'A*Omega*A'*x);
var_s = diag(x'D*x);
var = var_f + var_s;
vol = sqrt(var);
p = var_f ./ var;
print ftosa(100*(vol~var~p),"%lf",3,2);

