new;
library qam,pgraph,optmum;

cls;
__output = 0;

let mu =    0.15 0.10 0.08 0.06;
let sigma = 0.15 0.10 0.07 0.05;
let rho = 1.00 
          0.50 1.00
          0.20 0.20 1.00
          0.00 0.00 0.00 1.00;
rho = xpnd(rho);
cov = rho .* sigma .* sigma';
call invpd(cov);

A = ones(1,4); B = 1; C = 0; D = 0; Bounds = (0~1) .* ones(4,1);

x0 = ones(4,1)/4;
let x0 = 0.60 0.30 0.10 0.00;
er0 = x0'mu;
vol0 = sqrt(x0'cov*x0);

rf = 0.03;
Sh0 = (er0-rf)./ vol0;

phi = seqa(0,0.001,1001);
{x,vol_te,er_te} = Qprog_Index_Solve(x0,cov,A,B,C,D,Bounds,phi,mu,0,x0);
IR = er_te./vol_te;
indx = maxindc(IR);
x1 = x[.,indx];
IR1 = IR[indx];
er1 = x1'mu;
vol1 = sqrt(x1'cov*x1);
Sh1 = (er1-rf)./ vol1;

print ftosa(100*(x0~x1),"%lf",3,2);
print ftosa(IR1,"IR1 = %lf",3,4);
print ftosa(Sh0,"Sh0 = %lf",3,4);
print ftosa(Sh1,"Sh1 = %lf",3,4);

Bounds = ones(4,1) .* (0.10~0.50);
phi = seqa(0,0.001,1001);
{x,vol_te,er_te} = Qprog_Index_Solve(x0,cov,A,B,C,D,Bounds,phi,mu,0,x0);
IR = er_te./vol_te;
indx = maxindc(IR);
x1 = x[.,indx];
IR1 = IR[indx];
er1 = x1'mu;
vol1 = sqrt(x1'cov*x1);
Sh1 = (er1-rf)./ vol1;

print ftosa(100*(x0~x1),"%lf",3,2);
print ftosa(IR1,"IR1 = %lf",3,4);
print ftosa(Sh0,"Sh0 = %lf",3,4);
print ftosa(Sh1,"Sh1 = %lf",3,4);




