new;
library qam,pgraph,optmum;

cls;

proc f(t,x);
  local y;
  y = x[2]                       |
      x[3]                       |
      -2*x[1]*x[3]+x[2]^2-1      ;
  retp(y);
endp;

t_start = 0;
t_end = 4;
Nt = 200;

let x_start = 0 0 1;
{t,x,dx} = ODE_Runge_Kutta(&f,x_start,t_start,t_end,Nt);

print "Valeur de la derivee premiere pour t = 4";
print ftos(x[Nt,2],"lorsque la derivee seconde pour t = 0 est 1 :%lf",10,6);

let x_start = 0 0 2;
{t,x,dx} = ODE_Runge_Kutta(&f,x_start,t_start,t_end,Nt);

print ftos(x[Nt,2],"lorsque la derivee seconde pour t = 0 est 2 :%lf",10,6);

proc g(theta);
  local t,x,dx;
  {t,x,dx} = ODE_Runge_Kutta(&f,0|0|theta,t_start,t_end,Nt);
  retp(x[Nt,2]);
endp;

__eps = 1e-8;
theta = Bisection(&g,1,2);
print ftos(theta,"Valeur de derivee seconde : %lf",10,6);
x_start = 0|0|theta;
{t,x,dx} = ODE_Runge_Kutta(&f,x_start,t_start,t_end,Nt);
print ftos(x[Nt,2],"Valeur de derivee premiere en t = 4 : %lf",10,6);