new;
library qam,optmum,pgraph;

a_r = 0.25;                                   lambda_r = -0.1;     
a_b = 0.76; b_bar = 0.12;    sigma_b = 0.02;  lambda_b = 0;   
a_v = 0.29; v_bar = 0.00007; sigma_v = 0.003; lambda_v = 0;
rho = -0.12;

r0 = 0.06; b0 = 0.08; v0 = 0.0008; 

tau_max = 30;
Nt = 300;

x = seqa(0.10,-0.02,5)';

{tau,ZC1,R1} = BDFS_ZeroCoupon(x,b0,v0,
                               a_r,a_b,a_v,b_bar,v_bar,sigma_b,sigma_v,rho,
                               lambda_r,lambda_b,lambda_v,tau_max,Nt);

x = seqa(0.10,-0.02,5)';

{tau,ZC2,R2} = BDFS_ZeroCoupon(r0,x,v0,
                               a_r,a_b,a_v,b_bar,v_bar,sigma_b,sigma_v,rho,
                               lambda_r,lambda_b,lambda_v,tau_max,Nt);

x = seqa(0.0042,0.0042,5)';

{tau,ZC3,R3} = BDFS_ZeroCoupon(r0,b0,x,
                               a_r,a_b,a_v,b_bar,v_bar,sigma_b,sigma_v,rho,
                               lambda_r,lambda_b,lambda_v,tau_max,Nt);


graphset;
  window3u;

  _pdate = ""; _pframe = 0; _pnum = 2;
  fonts("simplex simgrma"); 
  _pnumht = 0.20; _ptitlht = 0.30; _paxht = 0.25; 
  _pltype = 6|1|3|4|5; _plwidth = 10|10|10|11|10; _pcolor = 1|2|3|4|5;

  xlabel("\216\202t\201 (en annees)"); 
  ylabel("\216R(\202t\201) (en %)");
  xtics(0,30,5,0);

  setwind(1);
    title("\216r]0[ decroissant");
    _pmsgstr = "-\000-";
    _pmsgctl = 5.56~0.37~0.07~45~2~0~6 |
               4.35~6.37~0.07~45~2~0~6 ;
    xy(tau,100*R1);

  setwind(2);
    title("\216b]0[ decroissant");
    xy(tau,100*R2);

  setwind(3);
    title("\216v]0[ croissant");
    _pmsgctl = 5.56~0.37~0.07~45~2~0~6;
    xy(tau,100*R3);

    graphprt("-c=1 -cf=approxim38.eps");

  endwind;  