new;
library qam,pgraph,optmum;

cls;

Let MT_1M_S[6,6] = 0.9714 0.0041 0.0062 0.0054 0.0077 0.0052
                   0.0126 0.8484 0.1348 0.0040 0.0002 0.0000
                   0.0078 0.1423 0.6730 0.1696 0.0073 0.0000
                   0.0070 0.0084 0.2234 0.6230 0.1375 0.0007
                   0.0066 0.0000 0.0088 0.1523 0.7668 0.0655
                   0.0038 0.0000 0.0000 0.0005 0.1470 0.8487;

Lambda = lnMatrix(MT_1M_S)*12;
{Lambda1,lambda2} = Estimate_Markov_Generator(Lambda);
Lambda = Lambda1;

t = seqa(0.001,0.01,501);
nt = rows(t);
Pr = zeros(nt,6);

indx_In = seqa(1,1,6);
let indx_Out =  6;

i = 1;
do until i > nt;
  P = expMatrix(t[i] *Lambda);
  Pr[i,.] = sumc(P[indx_In,indx_Out]')';
  i = i + 1;
endo;

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3|4|5; _plwidth = 10;
  if _qam_BW;
    _pcolor = 0|1|2|3|4|5|6; _pltype = 6|1|3|6|1|3; _plwidth = 10; _pstype = 1|2|3|8|9|10; _plctrl = 0|0|0|80|80|80; _psymsiz = 5.0;
  endif;
  xtics(0,4,1,12);
  xlabel("\216t");
  _plegstr = "NR\000*\000**\000***\000****\000*****";
  _plegctl = {2 5 6 4};
  graphprt("-c=1 -cf=lapack10.eps");
  xy(t,100*Pr);





