new;
library qam,pgraph,optmum;

rndseed 123;

x = rndn(50,5);
y = x*rndu(5,2) + rndn(50,2) * 0.0001;

data = x~y;

__output = 1;
call regLDP(data,0.001);

m = data'data;
m = trunc(m*1000)/1000;
call regLDP(m,0.001);

print "--------------------------------------------------";

print ftosa(m,"%lf",5,3);

{rr,ee} = qre(m);

print ftosa(rr,"%lf",5,3);
print ftosa(ee,"%lf",5,3);


d = diag(rr);
s = m[ee,ee];
s = diag(s);
tols = abs(d./sqrt(s));
print ftosa(tols,"%lf",5,6);

nirr = sumc(tols .> 0.001 );
njrr = rows(rr) - nirr;

indepcol = ee[1:nirr];
print indepcol;
print ;
depcol = ee[rows(ee)-njrr+1:rows(ee)];
print depcol;
Xi = utrisol(rr[1:nirr,nirr+1:rows(rr)],rr[1:nirr,1:nirr]);
print ftosa(Xi,"%lf",5,6);
