new;
library qam,pgraph,optmum;

cls;

let rho = 1.00 
          0.50   1.0
          0.25   0.5   1.0 
          0.25   0.5   1.0  1.0;
rho = xpnd(rho);
v = eigh(rho);
print ftosa(v,"%lf",1,5);

let sigma = 0.20 0.15 0.05 0.10;
cov = rho .* sigma .* sigma';

print ftosa(Cov,"%lf",1,6);

{lambda,V} = eighv(cov);
V = real(V);
lambda = dotfne(lambda,0) .* lambda;
Lambda = diagMatrix(real(lambda));
P = V * sqrt(Lambda);
print ftosa(P,"%lf",1,5);
print ftosa(P*P',"%lf",1,5);

P = chol(cov[1:3,1:3])';
P = (P | P[3,.]*2) ~ zeros(4,1);
print ftosa(P,"%lf",1,5);
print ftosa(P*P',"%lf",1,5);


