new;
library qam,pgraph,optmum;

cls;

loadm ns_frf = ..\data\ns_frf;

NS_Dates = ns_frf[.,1];
NS_Coeffs = ns_frf[.,2 3 4 5];

R_0 = NS_coeffs[.,1] + NS_coeffs[.,2];
R_Infinity = NS_Coeffs[.,1];
tau = 1/12|3/12|6/12|1|3|5|10|20|30;

Yield_Rate =  NelsonSiegel_SpotRate(NS_Coeffs',tau)';

c = corrx(Yield_Rate);
c = round(1000*c)/1000;

__output = 1;
{va,ve,pca} = regPCA(c,5);
print;
corr = vread(pca,"corr");
__fmtnv  = { "*.*lf " 16 3 };
call printfmt(corr,1);
