new;
library qam,pgraph,optmum;

cls;

loadm ns_frf = ..\data\qam_ns_frf;

NS_Dates = ns_frf[.,1];
NS_Coeffs = ns_frf[.,2 3 4 5];

R_0 = NS_coeffs[.,1] + NS_coeffs[.,2];
R_Infinity = NS_Coeffs[.,1];
tau = seqa(1/24,1/24,24*10);

Yield_Rate = NelsonSiegel_SpotRate(NS_Coeffs',tau)';
c = corrx(Yield_Rate);

__output = 0;
{va,ve,pca} = regPCA(c,5);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3; _plwidth = 10; _pcolor = 1|2|4; _pcross = 1;
  ytics(-0.15,0.20,0.05,2);
  xtics(0,10,1,2);
  xlabel("\216\202t\201 (en annees)");
  _pmsgstr = "-";
  _pmsgctl = 7.92~2.87~0.07~45~2~0~6 ;
  _plegstr = "Facteur 1\000Facteur 2\000Facteur 3";
  _plegctl = {2 5 5 5};
  graphprt("-c=1 -cf=lapack5.eps");
  xy(tau,ve[.,1:3]);


