new;
library pgraph;

rndseed 123;

r = 1;

n = 1000;

u = rndu(n,2);
x = u[.,1];
y = u[.,2];

s = (x^2 + y^2) .<= r^2;
data1 = selif(x~y,s);
data2 = delif(x~y,s);
ns = sumc(s);

data2 = data2 | miss(zeros(ns-rows(data2),2),0);

x = seqa(0,1/(ns-1),ns);
y = sqrt(r^2 - x^2);

x = x ~ data1[.,1] ~data2[.,1];
y = y ~ data1[.,2] ~data2[.,2];

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6; _pstype = 1|2|5; _plctrl = 0|-1|-1;
  _pcolor = 1|2|12; _plwidth = 10; _psymsiz = 2;
  xtics(0,1,0.1,2);
  ytics(0,1,0.1,2);
  _pline = 6~6~0~0~1~1~1~1~10;
  graphprt("-c=1 -cf=mc10.eps");
  xy(x,y);
