new;
library qam,option,pgraph,optmum;
dlibrary sobol,gfaure;

let mu = 0 0 0;
let sigma[3,3] = 1 0.5 0.25 0.5 1 0.25 0.25 0.25 1;

N = 6*512;

dim = 3;
rndset("faure",dim,1|2|3);
u1 = rndmn(mu,sigma,N);

dim = 15;
rndset("faure",dim,1|2|3);
u2 = rndmn(mu,sigma,N);

dim = 50;
rndset("faure",dim,1|2|3);
u3 = rndmn(mu,sigma,N);

dim = 50;
rndset("faure",dim,30|7|23);
u4 = rndmn(mu,sigma,N);

graphset;
  begwind;
  window(2,2,0);

    _pnum = 2; _pdate = ""; _pcolor = 1;
    _plctrl = -1; _pstype = 4; _psymsiz = 0.5;
    xtics(-3,3,1,2);
    ytics(-3,3,1,2);
    ztics(-3,3,1,2);
  _pnumht = 0.20; _paxht = 0.20; _ptitlht = 0.25;

  setwind(1);
    title("\216d = 3\L\216c = (1,2,3)");
    xyz(u1[.,1],u1[.,2],u1[.,3]);

  setwind(2);
    title("\216d = 15\L\216c = (1,2,3,)");
    xyz(u2[.,1],u2[.,2],u2[.,3]);

  setwind(3);
    title("\216d = 50\L\216c = (1,2,3)");
    xyz(u3[.,1],u3[.,2],u3[.,3]);

  setwind(4);
    title("\216d = 50\L\216c = (30,7,23)");
    xyz(u4[.,1],u4[.,2],u4[.,3]);

    graphprt("-c=1 -cf=mc22.eps");

  endwind;