new;
library qam,option,pgraph,optmum;
dlibrary sobol,gfaure;

N = 2*512;

u = rndu(N,2);
t = 2*u[.,1] - 1;
phi = 2*pi*u[.,2];
x1 = sqrt(1-t^2) .* cos(phi);
y1 = sqrt(1-t^2) .* sin(phi);
z1 = t;

_rnd_primes = 2|3;
u = rndu_Halton(N,2);
t = 2*u[.,1] - 1;
phi = 2*pi*u[.,2];
x2 = sqrt(1-t^2) .* cos(phi);
y2 = sqrt(1-t^2) .* sin(phi);
z2 = t;

_rnd_primes = 17|19;
u = rndu_Halton(N,2);
t = 2*u[.,1] - 1;
phi = 2*pi*u[.,2];
x3 = sqrt(1-t^2) .* cos(phi);
y3 = sqrt(1-t^2) .* sin(phi);
z3 = t;

_rnd_primes = 2;
u = rndu_Hammersley(N,2);
t = 2*u[.,1] - 1;
phi = 2*pi*u[.,2];
x4 = sqrt(1-t^2) .* cos(phi);
y4 = sqrt(1-t^2) .* sin(phi);
z4 = t;

_rnd_primes = 7;
u = rndu_Hammersley(N,2);
t = 2*u[.,1] - 1;
phi = 2*pi*u[.,2];
x5 = sqrt(1-t^2) .* cos(phi);
y5 = sqrt(1-t^2) .* sin(phi);
z5 = t;

_rnd_primes = 13;
u = rndu_Hammersley(N,2);
t = 2*u[.,1] - 1;
phi = 2*pi*u[.,2];
x6 = sqrt(1-t^2) .* cos(phi);
y6 = sqrt(1-t^2) .* sin(phi);
z6 = t;

_rnd_primes = 37;
u = rndu_Hammersley(N,2);
t = 2*u[.,1] - 1;
phi = 2*pi*u[.,2];
x7 = sqrt(1-t^2) .* cos(phi);
y7 = sqrt(1-t^2) .* sin(phi);
z7 = t;

call init_Sobol(2);
u = rndu_Sobol(N,2);
t = 2*u[.,1] - 1;
phi = 2*pi*u[.,2];
x8 = sqrt(1-t^2) .* cos(phi);
y8 = sqrt(1-t^2) .* sin(phi);
z8 = t;

N = 5000;
dim = 100;
call init_GrayFaure(dim);
u = rndu_GrayFaure(N,dim);
u = u[.,1 dim];
t = 2*u[.,1] - 1;
phi = 2*pi*u[.,2];
x9 = sqrt(1-t^2) .* cos(phi);
y9 = sqrt(1-t^2) .* sin(phi);
z9 = t;

graphset;
  begwind;
  window(3,3,0);

  _plctrl = -1; _pstype = 4; _psymsiz = 1.5;
  _pframe = 0; _paxes = 0; _pdate = 0; _pcolor = 1;
  _ptitlht = 0.30;

  setwind(1);
    _pcolor = 1;
    title("\216LCG");
    xyz(x1,y1,z1);

  setwind(2);
    _pcolor = 2;
    title("\216Halton (p]1[ = 2, p]2[ = 3)");
    xyz(x2,y2,z2);

  setwind(3);
    _pcolor = 3;
    title("\216Halton (p]1[ = 17, p]2[ = 19)");
    xyz(x3,y3,z3);

  setwind(4);
    _pcolor = 4;
    title("\216Hammersley (p]1[ = 2)");
    xyz(x4,y4,z4);

  setwind(5);
    _pcolor = 5;
    title("\216Hammersley (p]1[ = 7)");
    xyz(x5,y5,z5);

  setwind(6);
    _pcolor = 6;
    title("\216Hammersley (p]1[ = 13)");
    xyz(x6,y6,z6);

  setwind(7);
    _pcolor = 7;
    title("\216Hammersley (p]1[ = 37)");
    xyz(x7,y7,z7);

  setwind(8);
    _pcolor = 8;
    title("\216Sobol (c = 1,2)");
    xyz(x8,y8,z8);

  setwind(9);
    _pcolor = 12;
    title("\216Faure (c = 1,100)");
    xyz(x9,y9,z9);

    graphprt("-c=1 -cf=mc23.eps");
  endwind;