new;
library qam,pgraph,optmum;

rndseed 123456;

t = seqa(0,0.01,501);

let t_x =   0   1   3   5;
let x   = 100 110 130  110;

mu = 0.00; sigma = 0.10; x0 = 100;
B = ((ln(x) - ln(x0)) - (mu - 0.5*sigma^2)*t_x)/sigma;
x = B;
{t,B} = Simulate_Brownian_Bridge(t_x,x,t,5);
xt = x0 .* exp( (mu - 0.5*sigma^2)*t + sigma * B);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _plwidth = 10; _pltype = 6; _pcolor = seqa(1,1,7);
  xlabel("\216t");
  ylabel("\216x(t)");
  xtics(0,5,1,2);
  ytics(90,140,10,2);
  graphprt("-c=1 -cf=mc7.eps");
  xy(t,xt);
