new;
library qam,pgraph,optmum;

cls;

N = 7;
T = 6;
K = 7;

__output = 1;


/*
** Dfinition de la fonction objectif
**
** f augmente avec l'tat et plus
** le temps passe, moins il est couteux
** de changer d'tat
*/

declare matrix alpha = 0.12;

proc (1) = f(t,e,c);
  retp(-1/e-alpha/t*(c-e)^2);
endp;

/*
** Dfinition de la fonction de passage
**
** commande = tat  l'tape suivante
*/

proc (1) = g(t,e,c);
  retp(e);
endp;


val_fin    = zeros(N,1);
val_fin[N] = __INFn;        /* moins l'infini ! */
val_fin = rndu(N,1);

output file = bellman1.out reset;

{B,C,Bell,Commandes,Etats} = PrintBellman(Bellman(N,K,T,&f,&g,val_fin),&g,0);

{B,C,Bell,Commandes,Etats} = PrintBellman(Bellman(N,K,T,&f,&g,val_fin),&g,1);

output off;

{B,C} = Bellman(N,K,T,&f,&g,val_fin);

e = seqa(1,1,N);
v = seqa(1,1,K);

proc hT(T,e);
  retp(val_fin);
endp;


{t_,B2,C2} = Bellman_Optimize_Tree(e,v,T,&f,&g,&hT);

cls;


print B==B2;
print C==C2[.,T-1];
print B2;
print C2;