new;
library qam,pgraph,optmum;

t = seqa(20,0.1,10*65+1);
tau = t-60;

alpha = 0.077;
gp_min = 0.10;
gp_max = 0.90;
kappa = 30;
glide_path = _max_(_min_(exp(-alpha*(tau+kappa)),gp_max),gp_min);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6; _plwidth = 10; _pcolor = 1;
  let xlab = "40" "30" "20" "10" "0" "-10" ;
  asclabel(xlab,0);
  xtics(-40,10,10,2);
  ytics(0,100,20,2);
  xlabel("\216\202t\201");
  _pmsgstr = "Actions\000Obligations";
  _pmsgctl = 2~3~0.15~0~2~0~8 |
             5~5~0.15~0~2~0~8 ;
  graphprt("-c=1 -cf=bellman30.eps");
  xy(tau,100*glide_path);