new;
library qam,optmum,pgraph;

declare matrix a,b,c,d,e,f;


a = 3; b = 1.5; c = 1.5; d = 2; f = 2;
x = 0;

TT = 2;
n = 100;

t = seqa(0,TT/n,n+1);

{J1,v1} =  Exact_Solution(t,x,TT);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1; _plwidth = 10; _pcolor = 1|2|3|4;
  xy(t,J1~v1);


proc J_HJB(x,alpha,beta,gamma_);
  retp( -0.5 * alpha .* (x^2) + beta .* x + gamma_);
endp;

proc dJ_HJB(x,alpha,beta,gamma_);
  retp( -alpha .* x + beta );
endp;

proc (2) = Exact_Solution(t,x,TT);
  local omega1,omega2,K1,k2,J,v;

  omega1 = b ./ (f^2) .* (e + sqrt(e^2  + (f^2) .*a ./b));
  omega2 = b ./ (f^2) .* (e - sqrt(e^2  + (f^2) .*a ./b));

  K1 = 0.5 .* (f^2) ./ b .* (omega1 - omega2);
  K2 = (d - omega2) ./ (d - omega1);
 
  J = -0.5 .* omega1 .*(x^2) + 0.5 .* (c^2) ./ (d-omega1) - 
      (omega1 - omega2) .* ( (x - c .* exp(K1 .* (TT - t)) ./ (d - omega1) )^2) ./
      ( 2 * (K2 .* exp(2 * K1 .* (TT-t)) - 1.0) );
  
  v = -f ./ b .* ( omega1 .* x + (omega1 - omega2) .* (x - c .* exp(K1 .* (TT - t) ) ./ (d - omega1)) ./
      (K2 .* exp(2 * K1 .* (TT-t)) - 1.0) );

  retp(J,v);
endp;

  


