new;
library qam,pgraph,optmum;

cls;

__eps = 1e-10;

let mu =    0.05 0.09 0.07 0.06;
let sigma = 0.04 0.15 0.05 0.10;
let rho =   1.00 
            0.10  1.00
            0.40  0.20  1.00
           -0.10 -0.10 -0.20 1.00;
rho = xpnd(rho);
Cov = rho .* sigma .* sigma';

Bounds = 0~1;

{x,vol,mr,tr,rc} = Compute_ERC_Portfolio(0,cov);
D1 = Compute_Diversification_Ratio(x,cov);
data = 100*(x~mr~tr~rc);
print ftosa(data,"%lf",3,2);

TexFile = "nonlin12.tex";
mask = 1;
let fmt[4,3] = 
               "%lf" 6 2
               "%lf" 6 2
               "%lf" 6 2
               "%lf" 6 2;

call Tabular(TeXFile,data,mask,fmt,0,0,0,0,1);

{x,vol,mr,tr,rc} = Compute_MDP_Portfolio(0,cov);
D2 = Compute_Diversification_Ratio(x,cov);
data = 100*(x~mr~tr~rc);
print ftosa(data,"%lf",3,2);
call Tabular(TeXFile,data,mask,fmt,0,0,0,0,0);

{x,vol,retcode} = Qprog_Min_Variance(cov,ones(1,4),1,0,0,Bounds .* ones(4,1));
{vol,mr,tr,rc} = Compute_Risk_Contribution(x,cov);
D3 = Compute_Diversification_Ratio(x,cov);
data = 100*(x~mr~tr~rc);
print ftosa(data,"%lf",3,2);
call Tabular(TeXFile,data,mask,fmt,0,0,0,0,0);

x = ones(4,1)/4;
{vol,mr,tr,rc} = Compute_Risk_Contribution(x,cov);
data = 100*(x~mr~tr~rc);
D4 = Compute_Diversification_Ratio(x,cov);
print ftosa(data,"%lf",3,2);
call Tabular(TeXFile,data,mask,fmt,0,0,0,0,0);

cls;
call text_print(TexFile);


