new;
library qam,pgraph,optmum;

cls;

__eps = 1e-10;

let mu =    0.05 0.09 0.07 0.06;
let sigma = 0.04 0.15 0.05 0.10;
let rho =   1.00 
            0.10  1.00
            0.40  0.20  1.00
           -0.10 -0.10 -0.20 1.00;
rho = xpnd(rho);
Sigma = rho .* sigma .* sigma';

let x_star = 0.10 0.20 0.50 0.20;
sh = 1.00;

tau = 1;

let P[2,4] = 1 0 0 0
             0 1 -1 0;
let Q =  0.05 0.05;
let Omega[2,2] = 0.05 0.0
                 0.0 0.10;
Omega = Omega^2;

{x1,phi,Pi_,mu_cond,TE1} = Black_Litterman_Solve(x_star,Sigma,sh,0,tau,P,Q,Omega,0);

print "Phi = " ftosa(phi,"%lf",3,3);
print "Pi = " ftosa(pi_,"%lf",3,3);
print "mu_cond = " ftosa(mu_cond,"%lf",3,3);

let Q =  0.10 0.00;
{x2,phi,Pi_,mu_cond,TE2} = Black_Litterman_Solve(x_star,Sigma,sh,0,tau,P,Q,Omega,0);

let Q =  0.05 0.05;
let Omega[2,2] = 0.20 0.0
                 0.0 0.20;
Omega = Omega^2;
{x3,phi,Pi_,mu_cond,TE3} = Black_Litterman_Solve(x_star,Sigma,sh,0,tau,P,Q,Omega,0);

let Q =  0.05 0.05;
let Omega[2,2] = 0.05 0.0
                 0.0 0.10;
Omega = Omega^2;
tau = 0.1;
{x4,phi,Pi_,mu_cond,TE4} = Black_Litterman_Solve(x_star,Sigma,sh,0,tau,P,Q,Omega,0);

x = 100*(x_star~x1~x2~x3~x4);
TE = 100*(0~TE1~TE2~TE3~TE4);
data = x | TE;

TexFile = "nonlin21.tex";
mask = 1;
let fmt[5,3] = 
               "%lf" 6 2
               "%lf" 6 2
               "%lf" 6 2
               "%lf" 6 2
               "%lf" 6 2;
call Tabular(TeXFile,data,mask,fmt,0,0,0,0,1);
call text_print(TexFile);

