new;
library qam,pgraph,optmum;

FileName = "qam_cac40";

factor = 100^2;
factor = 1;

PathName = "..\\data\\";
datFileName = PathName $+ FileName $+ "_num_data";
loadm num_data = ^datFileName;
index_cov_matrix = factor * vread(num_data,"cov");
index_weights = vread(num_data,"weights");

datFileName = PathName $+ FileName $+ "_str_data";
loads num_data = ^datFileName;
index_sedols = num_data[.,1];
index_names = num_data[.,2];

rndseed 123;
n = rows(index_Weights);
index_alpha = rndu(n,1) * 0.30;

phi = seqa(-0.05,1/500,251);
nRows = rows(phi);
let Bounds = 0.50 0.075 0.05;
nCols = rows(Bounds);
Surperf = zeros(nRows,nCols);
vol_TE = zeros(nRows,nCols);

i = 1;
do until i > nRows;
  j = 1;
  do until j > nCols;
    {x,vol_TE[i,j],Surperf[i,j]} = Qprog_Index_Solve(index_weights,index_cov_matrix,0,0,0,0,0~Bounds[j],phi[i],index_alpha,0,0);
    j = j + 1;
  endo;
  i = i + 1;
endo;

vol_TE = 100 * vol_TE;
surperf = 100*surperf;

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3; _pcross = 1; _plwidth = 10; _pcolor = 1|2|4;
  ylabel("\216\202m\201(x | b)");
  xlabel("\216\202s\201(x | b)");
  ytics(-6,16,2,2);
  xtics(0,10,2,1);
  _plegstr = "x]i[[+] = 50,0%\000x]i[[+] =  7,5%\000x]i[[+] =  5,0%";
  _plegctl = {2 6 5.7 3.5};
  graphprt("-c=1 -cf=qprog21.eps");
  xy(vol_TE,Surperf);