new;
library qam,pgraph,optmum;

FileName = "qam_cac40";

factor = 100^2;
factor = 1;

PathName = "..\\data\\";
datFileName = PathName $+ FileName $+ "_num_data";
loadm num_data = ^datFileName;
index_cov_matrix = factor * vread(num_data,"cov");
index_weights = vread(num_data,"weights");

datFileName = PathName $+ FileName $+ "_str_data";
loads num_data = ^datFileName;
index_sedols = num_data[.,1];
index_names = num_data[.,2];

rndseed 123;
n = rows(index_Weights);
index_alpha = rndu(n,1) * 0.30;

phi = seqa(-0.05,1/500,251);
nRows = rows(phi);
let Bounds = 0.50 0.075 0.05;
nCols = rows(Bounds);
Surperf = zeros(nRows,nCols);
vol_TE = zeros(nRows,nCols);

i = 1;
do until i > nRows;
  j = 1;
  do until j > nCols;
    {x,vol_TE[i,j],Surperf[i,j]} = Qprog_Index_Solve(index_weights,index_cov_matrix,0,0,0,0,0~Bounds[j],phi[i],index_alpha,0,0);
    j = j + 1;
  endo;
  i = i + 1;
endo;

vol_TE = 100 * vol_TE;
surperf = 100*surperf;

c = 3;
Surperf_c = Surperf[.,c];
vol_TE_c = vol_TE[.,c];
IR = Surperf_c./Vol_TE_c;
indx = maxindc(IR);

rf1 = 0;
mu1 = Surperf_c[indx];
sigma1 = vol_TE_c[indx];

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6; _plwidth = 10; _pcross = 1;
  ylabel("\216\202m\201(x | b)");
  xlabel("\216\202s\201(x | b)");
  ytics(-6,12,2,2);
  xtics(0,6,1,1);
  _pcolor = 0|0; _plwidth = 12;
  _psym = 0~rf1~11~4~2~1~10 |
          sigma1~mu1~11~4~2~1~10 |
          sigma1~rf1~11~4~2~1~10 ;
  _pline = 
           4~3~0~rf1~1.5~0~0.48~2~10 |
           4~3~0~rf1~1.45~0~0.49~2~10 |
           1~3~0~rf1~sigma1~mu1~1~2~10 |
           1~3~sigma1~rf1~sigma1~mu1~1~2~10 |
           1~3~0~rf1~sigma1~rf1~1~2~10 ;
  _pmsgstr = "B\000A\000C\000\202a\201";
  _pmsgctl = 0-0.25~rf1-0.5~0.20~0~1~2~10 |
             sigma1-0.025~mu1+0.5~0.20~0~1~2~10 |
             sigma1-0.025~rf1-1.0~0.20~0~1~2~10 |
             1.50~1.5~0.20~0~1~2~10 ;  
  graphprt("-c=1 -cf=qprog22.eps");
  xy(vol_TE_c,Surperf_c);



