new;
library qam,pgraph,optmum;

PathName = "..\\data\\";
datFileName = PathName $+ "qam_s&p500_num_data";
loadm num_data = ^datFileName;
index_cov_matrix = 100^2 * vread(num_data,"cov");
index_weights = vread(num_data,"weights");

datFileName = PathName $+ "qam_s&p500_str_data";
loads num_data = ^datFileName;
index_sedols = num_data[.,1];
index_names = num_data[.,2];

/*
p = 0.01;

MaxSize = seqa(1,1,49)|seqa(50,10,46);
nIters = rows(MaxSize);
x = zeros(rows(index_weights),nIters);
vol_TE = zeros(nIters,1);
size = zeros(nIters,1);
i = 1;
do until i > nIters;
  {x[.,i],vol_TE[i]} = Qprog_Index_Sampling(index_weights,index_cov_matrix,MaxSize[i],p);
  size[i] = sumc(x[.,i] ./= 0);
  i = i + 1;
endo;

data = size~vol_TE;

save sampling_snp = data;
*/
loadm data = sampling_snp;
size = data[.,1];
vol_TE = data[.,2];

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _plwidth = 10; _pltype = 6; _pgrid = {3,0}; _pcolor = 1;
  xlabel("\216Taille du portefeuille echantillonne");
  ylabel("\216Volatilite de la TE (en %)");
  xtics(0,500,50,5);
  ytics(0,6,1,5);
  _pmsgstr = "-\000-\000-\000-";
  _pmsgctl = 6.65~0.30~0.07~45~2~0~5 |
             0.18~3.23~0.07~-45~2~0~5 |
             5.25~0.30~0.07~45~2~0~5  ;
  graphprt("-c=1 -cf=qprog23.eps");
  xy(Size,vol_TE);
