new;
library qam,pgraph,optmum;

cls;

PathName = "..\\data\\";
datFileName = PathName $+ "qam_s&p500_num_data";
loadm num_data = ^datFileName;
cov_matrix = vread(num_data,"cov");
weights = vread(num_data,"weights");

datFileName = PathName $+ "qam_s&p500_str_data";
loads num_data = ^datFileName;
index_sedols = num_data[.,1];
index_names = num_data[.,2];

rndseed 123;
alpha = rndn(rows(cov_matrix),1) / 3 * 0.5;

TE = 0.01;     // TE 
MinSize = 50;  // Minimum size of stocks in the portfolio
p = 0.02;      // Weight % triming at each iteration 
sl = 0.30;     // Short Leverage

{x,weight_in,Leverage,Beta,info} = Qprog_Index_130_30(weights,cov_matrix,TE,MinSize,p,alpha,0,sl);