new;
library qam,pgraph,optmum;

n = 2;
A = ones(1,n);
B = 1.0;
Bounds = ones(n,1) .* (0~1);

rho = -0.99999;
let sigma = 0.20 0.30;
cov = ConstantCorrelation(rho,n) .* sigma .* sigma';
{x,sig,retcode} = Qprog_Min_Variance(cov,A,B,0,0,Bounds);
print x';
x2 = (sigma[1]^2 - rho*sigma[1]*sigma[2])/(sigma[1]^2 - 2*rho*sigma[1]*sigma[2] + sigma[2]^2);
x2 = _min_(_max_(x2,0),1.0);
print (1-x2)~x2;

Results = {};
n = 4;
A = ones(1,n);
B = 1.0;
Bounds = ones(n,1) .* (0~1);

rho = ConstantCorrelation(0.00,n);

let sigma = 0.20 0.20 0.10 0.10;
cov = rho .* sigma .* sigma';
{x,sigma,retcode} = Qprog_Min_Variance(cov,A,B,0,0,Bounds);
Results = Results | x';

let sigma = 0.20 0.15 0.10 0.05;
cov = rho .* sigma .* sigma';
{x,sigma,retcode} = Qprog_Min_Variance(cov,A,B,0,0,Bounds);
Results = Results | x';

rho = ConstantCorrelation(0.20,n);
let sigma = 0.20 0.15 0.10 0.05;
cov = rho .* sigma .* sigma';
{x,sigma,retcode} = Qprog_Min_Variance(cov,A,B,0,0,Bounds);
Results = Results | x';

let rho[4,4] =  1.00 -0.25 -0.25 -0.25
               -0.25  1.00  0.00  0.00
               -0.25  0.00  1.00  0.75
               -0.25  0.00  0.75  1.00;
let sigma = 0.20 0.15 0.10 0.05;
cov = rho .* sigma .* sigma';
{x,sigma,retcode} = Qprog_Min_Variance(cov,A,B,0,0,Bounds);
Results = Results | x';

let rho[4,4] =  1.00 -0.25 -0.25 -0.25
               -0.25  1.00  1.00  1.00
               -0.25  1.00  1.00  1.00
               -0.25  1.00  1.00  1.00;
let sigma = 0.20 0.15 0.10 0.05;
cov = rho .* sigma .* sigma';
{x,sigma,retcode} = Qprog_Min_Variance(cov,A,B,0,0,Bounds);
Results = Results | x';

let rho[4,4] =  1.00 -0.25 -0.25 -0.25
               -0.25  1.00  0.00  0.00
               -0.25  0.00  1.00  0.25
               -0.25  0.00  0.25  1.00;
let sigma = 0.20 0.15 0.10 0.05;
cov = rho .* sigma .* sigma';
{x,sigma,retcode} = Qprog_Min_Variance(cov,A,B,0,0,Bounds);
Results = Results | x';

cls;
print ftosa(100*Results,"%lf",10,3);

