new;
library qam,optmum,pgraph;

fn f(x,y) = sqrt(x) .* sqrt(exp(y));

n = 4;
x = seqa(0,5/n,n+1);
y = seqa(0,7/n,n+1)';
fxy = f(x,y);

n = 50;
xs = seqa(0,5/n,n+1);
ys = seqa(0,7/n,n+1)';

z1 = BiLinear_Interpolation(x,y,fxy,xs,ys);
z2 = Quadratic_Interpolation(x,y,fxy,xs,ys);

_Quadratic_Interpolation_Weights = 0|1;
z3 = Quadratic_Interpolation(x,y,fxy,xs,ys);

graphset;
  begwind;
  window(2,2,0);

  _pdate = ""; _pnum = 2; _pframe = 0;
  _paxht = 0.20; _pnumht = 0.20; _ptitlht = 0.25;
  ztics(0,80,20,2);
  _pzclr = { 0 1,
            10 2,
            20 3,
            30 4,
            40 5,
            50 1,
            60 2,
            70 3,
            80 4};

  setwind(1);
    title("\216Surface originale");
    surface(x',y',f(x,y)');

  setwind(2);
    title("\216Interpolation bilineaire");
    _pmsgstr = "-";
    _pmsgctl = 6.02~6.31~0.07~45~2~0~6;
    surface(xs',ys',z1');

    _pmsgctl = 0;

  setwind(3);
    title("\216Interpolation quadratique\L\216w]x[ = 1 - w]y[ = 1");
    surface(xs',ys',z2');

  setwind(4);
    title("\216Interpolation quadratique\L\216w]x[ = 0 - w]y[ = 1");
    surface(xs',ys',z3');

    graphprt("-c=1 -cf=qprog41.eps");

  endwind;