new;
library qam,optmum,pgraph;

__eps = 1e-10;

let mu =    0.05 0.09 0.07 0.06;
let sigma = 0.04 0.15 0.05 0.10;
let rho =   1.00 
            0.10  1.00
            0.40  0.20  1.00
           -0.10 -0.10 -0.20 1.00;
rho = xpnd(rho);
Cov = rho .* sigma .* sigma';

Bounds = 0~1;

let sigma = 0.04 0.05 0.06 0.07 0.10 0.12 0.15;
{x,er,risk,phi,retcode} = Qprog_Allocation_Solve(mu,cov,1,0,0,0,Bounds,sigma,2);  

TexFile = "qprog7.tex";
mask = 1;
let fmt[7,3] = 
               "%lf" 6 2
               "%lf" 6 2
               "%lf" 6 2
               "%lf" 6 2
               "%lf" 6 2
               "%lf" 6 2
               "%lf" 6 2;
data = 100*(risk'|x)|phi'|100*er';

call Tabular(TeXFile,data,mask,fmt,0,0,0,0,1);

let er = 0.05 0.060 0.065 0.070 0.075 0.080 0.085;
{x,er,risk,phi,retcode} = Qprog_Allocation_Solve(mu,cov,1,0,0,0,Bounds,er,1);  

data = 100*(er'|x)|phi'|100*risk';
call Tabular(TeXFile,data,mask,fmt,0,0,0,0,0);

cls;
call text_print(TexFile);

