new;
library qam,pgraph,optmum;

PathName = "..\\data\\";
FileName = PathName $+ "qam_Commodity";

data = loadd(FileName);
data = data[.,2:cols(data)];
data = data[.,7 8];
nDates = rows(data);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3; _plwidth = 8; _pcolor = 1|4;
  ytics(0,350,50,2);
  xtics(1,nDates,261*5,2);
  let xlab = "1995" "2000" "2005" "2010";
  asclabel(xlab,0);
  _plegstr = "Premier contrat\000Second contrat";
  _plegctl = {2 6 5 5};
  graphprt("-c=1 -cf=ap-commodity3.eps");
  xy(0,data);
