new;
library qam,pgraph,optmum;

rndseed 123;

nAssets = 5;
nDates = 6;

R = rndn(nDates,nAssets)*0.05;
R[1,.] = R[1,.] * 0;
S = 100 * cumprodc(1+R);

W0 = ones(nDates,nAssets) ./ nAssets;

Basket = S;
weights_Basket = W0;
Fund = ones(nDates,1);

RD = ones(nDates,1);
Implied_Weights = zeros(nDates,nAssets);

i = 1;
nAssets = weights_Basket[i,.]' * Fund[i] ./ Basket[i,.]';
cnd = selif(seqa(1,1,cols(Basket)),weights_Basket[i,.]' .== 0);

Implied_Weights[i,.] = weights_Basket[i,.];

i = i + 1;
do until i > nDates;
  if RD[i];
    nAssets = weights_Basket[i,.]' * Fund[i-1] ./ Basket[i-1,.]';
    cnd = selif(seqa(1,1,cols(Basket)),weights_Basket[i,.]' .== 0);
  endif;
  tmp = Basket[i,.]' .* nAssets;
  if cnd[1,1] /= error(0);
    tmp[cnd] = zeros(rows(cnd),1);
  endif;
  Fund[i] = sumc(tmp);
  Implied_Weights[i,.] = tmp'/Fund[i];
  i = i + 1;
endo;

W1 = Implied_Weights;
T = Compute_Turnover(W0,W1);
data = 100*(W1~T);
data = trimr(data,1,0);

print ftosa(S,"%lf",2,2);

print ftosa(data,"%lf",2,2);

