new;
library qam,pgraph,optmum;

a = 0.7;
b = -3.0;
sigma = 3.80;

y0 = -1.0;
t = 1;
x = 3.5;

y = seqa(-10,20/200,201);

pdf = pdf_OU(T,Y,Y0,a,b,sigma);
score = cdf_OU(T,x,Y0,a,b,sigma);

d = 2;
xp = y;
yp = pdf;
cn = xp .>= (x + d);
yp = yp .* (1 - cn); 
e = (xp .>= x) .and (xp .<= (x + d));
z = yp ./ d .* (x - xp + d);
z = 1 .* z;
yp = z .* e + yp .* (1 - e);

xpd = xp - d;
xp =  x .* e + xp .* (1 - e);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6; _plwidth = 10; _pcolor = 4;
  _pline = 1~3~x~0~x~1~1~0~10 |
           1~3~y0~0~y0~1~1~0~10 ;
  e = ones(rows(y),1);
  _pline = _pline |
           e.*(1~6)~xp~yp~xpd~e.*(0~1~4~0) |
           1~6~-3~0.07~-7~0.12~1~4~10;
  _psym = -3~0.07~8~2.5~4~1~10 |
          -7~0.12~8~2.5~4~1~10 ;
  _pmsgstr = "score\000spread actuel\000spread implicite";
  _pmsgctl = -7.7~0.123~0.16~0~1~4~7 |
             y0+0.2~0.15~0.16~-90~1~0~9 |
             x+0.2~0.15~0.16~-90~1~0~9 ;

  graphprt("-c=1 -cf=scoring1.eps");

  xy(y,pdf);
