new;
library qam,nnet,optmum,pgraph,gwizard;

rndseed 123;

nnet_set;

Nx = 3;
Nt = 2;
J = 3;

_nnet_MaxIters = 1;
__output = 0;

scaled = 1;
_nnet_function = 1|scaled;

x = rndu(10,Nx);
t = rndu(10,Nt);

dirlnk = 1;
c1 = 1;
c2 = 0;
_nnet_DirectLink = dirlnk;
_nnet_Constant = c1|c2;

/*
** 1er rseau
*/

nnet = nnet_fit(0,X,T,0,0,0,0,J);
{coeffs,A,Astar,B,Btilde,Bstar} = nnet_readCoeffs(nnet);
gBuffer1 = nnet_plot(nnet,0);

/*
** 2me rseau
*/

cnd_Astar = Astar;
cnd_Bstar = Bstar;
cnd_Astar = ones(1,3)|eye(3);
{RR,r,sv} = nnet_prune(Astar,Bstar,1-cnd_Astar,1-cnd_Bstar);

nnet = nnet_fit(0,X,T,0,sv,RR,r,J);
gBuffer2 = nnet_plot(nnet,0);

/*
** 3me rseau
*/

cnd_Astar = Astar;
cnd_Bstar = Bstar;
cnd_Bstar = (1~0)|(1~1)|(0~1)|zeros(3,2);
{RR,r,sv} = nnet_prune(Astar,Bstar,1-cnd_Astar,1-cnd_Bstar);
nnet = nnet_fit(0,X,T,0,sv,RR,r,J);
gBuffer3 = nnet_plot(nnet,0);

/*
** 4me rseau
*/
cnd_Astar = Astar;
cnd_Astar = (0~0~1)|(1~1~1)|(0~1~1)|(0~0~1);
cnd_Bstar = Bstar;
cnd_Bstar = (1~0)|(1~0)|(0~1)|zeros(3,2);
{RR,r,sv} = nnet_prune(Astar,Bstar,1-cnd_Astar,1-cnd_Bstar);
nnet = nnet_fit(0,X,T,0,sv,RR,r,J);
gBuffer4 = nnet_plot(nnet,0);


graphset;

  begwind;
  window(2,2,0);

  size = 7;

setwind(1);

  gWizardSet(gBuffer1,1);
  title("\216Architecture #1");

  _ptitlht = 0.25;
  _psym[.,4] = ones(rows(_psym),1)*5;
            
  gWizardDraw(gBuffer1,1);   

setwind(2);

  gWizardSet(gBuffer2,1);
  title("\216Architecture #2");

  _ptitlht = 0.25;
  _psym[.,4] = ones(rows(_psym),1)*5;
            
  gWizardDraw(gBuffer2,1);   

setwind(3);

  gWizardSet(gBuffer3,1);
  title("\216Architecture #3");

  _ptitlht = 0.25;
  _psym[.,4] = ones(rows(_psym),1)*5;

  gWizardDraw(gBuffer3,1);   

setwind(4);

  gWizardSet(gBuffer4,1);
  title("\216Architecture #4");

  _ptitlht = 0.25;
  _psym[.,4] = ones(rows(_psym),1)*5;

  gWizardDraw(gBuffer4,1);   


  graphprt("-c=1 -cf=ann5.eps");

endwind;
