new;
library qam,nnet,optmum,pgraph,gwizard;

nnet_set;
load nnet = ..\\data\\ann1;
{coeffs,sv,RR,r,J} = nnet_init(nnet);

__output = 0;
{pR2_Astar,pR2_Bstar,cost_Astar,cost_Bstar,gBuffer} = nnet_analyze(nnet,1,0); 

graphset;
  begwind;
  window(2,2,0);

  i = 1;
  do until i > 4;

    setwind(i);
      gWizardSet(gBuffer,i); 
      axmargin(0,0,0,0);   
      if i == 1 or i == 3;
        axmargin(1.5,0.5,0,0.5);   
      else;
        axmargin(0,0,0,0);   
      endif;
      _pnumht = 0.20; _ptitlht = 0.25;
      if i == 1;
        title("\216Analyse du R[2] partiel\L\216A[*]");
      elseif i == 2;
        title("\216Analyse du R[2] partiel\L\216B[*]");
      elseif i == 3;
        title("\216Analyse des couts d'omission\L\216A[*]");
        _pmsgstr = ">";
        _pmsgctl = 5.20~6.39~0.12~90~2~0~6 ;
      elseif i == 4;
        _pmsgstr = ">";
        _pmsgctl = 4.70~6.43~0.12~90~2~0~6 ;
        title("\216Analyse des couts d'omission\L\216B[*]");
      endif;
      gWizardDraw(gBuffer,i);   

    i = i + 1;
  endo;

  graphprt("-c=1 -cf=ann6.eps");
endwind;

