/*
**> XOR
*/

new;
library qam,nnet,optmum,pgraph,gwizard;

rndseed 123;

let x = {1 1,1 0,0 1,0 0};
let t = {0, 1, 1, 0};

nnet_set;

_nnet_function = {1,1};
_nnet_DirectLink = 0;
_nnet_Constant = {1,1};
_nnet_SaveIters = 1;
_nnet_SaveCoeffs = 0;
_nnet_file = "ann8";
_nnet_PrintIters = 10;
_nnet_flush = 0;
_nnet_StopRule = {1,0.99999};
_nnet_opalgr = 1;

rndseed 123;

nnet = nnet_fit(0,X,T,0,0,0,0,3);

data = loadd(_nnet_file);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6; _plwidth = 10; _pcolor = 1;
  xlabel("\216m");
  ylabel("\216MSE");
  ytics(0,0.6,0.1,2);
  xtics(0,10000,1000,2);
  graphprt("-c=1 -cf=ann8.eps");
  xy(data[.,1],data[.,4]);



