new;
library qam,pgraph,optmum;
dlibrary mars36;

cls;

PathName = "..\\Data\\";
datFileName = PathName $+ "qam_dataset2";
data = loadd(datFileName);
vnames = getname(datFileName);
Dates = data[.,1];

let selected_names = STXX S&P US_IG EUR_IG;
indx = indcv(selected_names,vnames);
Data = Data[.,indx];
Data = dates~Data;

Begin_Date = 19991231;
Last_Date = 20091231;

Data = selif(data,(Data[.,1] .>= Begin_Date) .and (Data[.,1] .<= Last_Date));

Dates = data[.,1]; 
nDates = rows(Dates);

Data = Data[.,2:cols(Data)];
Rdt = Data./lagn(Data,1) - 1.0;
Rdt = packr(Rdt);

y = Rdt[.,1];
x = lagn(Rdt[.,1],1)~lagn(Rdt[.,1],2)~lagn(Rdt[.,1],3)~lagn(Rdt[.,1],4)~lagn(Rdt[.,1],5);
{x,y} = packr2(x,y);

{fm,im} = regMars(y,x,1,6,2,0);

call regOLS(y,x,0,0);
