new;
library qam,pgraph,optmum;

r = 0.05;
mu_X = 0.05;
sigma_X = 0.20;

mu_S = 0.10;
sigma_S = 0.20;

rho = -0.5~0.50~0.99;

t = 5;
V0 = 100;
alpha = 0.90;

C = seqa(0.1,0.1,501);

m = 2;
pdf1 = Core_Satellite_pdf(r,mu_X,sigma_X,mu_S,sigma_S,rho,t,V0,m,alpha,C,0);
pdf2 = Core_Satellite_pdf(r,mu_X,sigma_X,mu_S,sigma_S,rho,t,V0,m,alpha,C,1);

m = 5;
pdf3 = Core_Satellite_pdf(r,mu_X,sigma_X,mu_S,sigma_S,rho,t,V0,m,alpha,C,0);
pdf4 = Core_Satellite_pdf(r,mu_X,sigma_X,mu_S,sigma_S,rho,t,V0,m,alpha,C,1);


graphset;
  begwind;
  window(2,2,0);

  _pdate = ""; _pnum = 2; _pframe = 0;
  _plwidth = 10; _pcolor = 1|2|4; _pltype = 6|1|3;
  _pnumht = 0.25; _paxht = 0.225; _ptitlht = 0.275;

  fonts("simplex simgrma");

  xtics(0,50,10,2);
  ytics(0,0.08,0.02,2);

  xlabel("\216C]T[");

  setwind(1);
    title("\216CPPI\L\216m = 2");
    xy(C,pdf1);

  setwind(2);
    title("\216CPPI LS\L\216m = 2");
    xy(C,pdf2);

  setwind(3);
    title("\216CPPI\L\216m = 5");
    xy(C,pdf3);

  setwind(4);
    title("\216CPPI LS\L\216m = 5");
    _plegstr = "\202r\201 = -0,50\000\202r\201 = 0,50\000\202r\201 = 0,99";
    _plegctl = {2 5.5 5 3};
    xy(C,pdf4);

    graphprt("-c=1 -cf=cppi13.eps");

  endwind;
