new;
library qam,pgraph,optmum,option;

rndseed 123;

r = 0.05;

mu_X = 0.05;
sigma_X = 0.20;

mu_S = 0.10;
sigma_S = 0.20;

t = 5;
V0 = 100;
alpha = 0.90;

X0 = 100;
S0 = 100;
Ns = 1000;

rho = 0.0;
{Xt,St} = simulate_GBM2(X0,S0,mu_X,mu_S,sigma_X,sigma_S,rho,t,Ns);
Xt = Xt';
St = St';

m = 2;

C = Core_Satellite_Compute(r,mu_X,sigma_X,mu_S,sigma_S,rho,t,V0,m,X0,Xt,S0,St,alpha,0);
V = alpha .* V0 .* Xt ./ X0 + C;
X1 = V;
C = Core_Satellite_Compute(r,mu_X,sigma_X,mu_S,sigma_S,rho,t,V0,m,X0,Xt,S0,St,alpha,1);
V = alpha .* V0 .* Xt ./ X0 + C;
Y1 = V;

m = 5;

C = Core_Satellite_Compute(r,mu_X,sigma_X,mu_S,sigma_S,rho,t,V0,m,X0,Xt,S0,St,alpha,0);
V = alpha .* V0 .* Xt ./ X0 + C;
X2 = V;
C = Core_Satellite_Compute(r,mu_X,sigma_X,mu_S,sigma_S,rho,t,V0,m,X0,Xt,S0,St,alpha,1);
V = alpha .* V0 .* Xt ./ X0 + C;
Y2 = V;

rho = 0.90;
{Xt,St} = simulate_GBM2(X0,S0,mu_X,mu_S,sigma_X,sigma_S,rho,t,Ns);
Xt = Xt';
St = St';

m = 2;

C = Core_Satellite_Compute(r,mu_X,sigma_X,mu_S,sigma_S,rho,t,V0,m,X0,Xt,S0,St,alpha,0);
V = alpha .* V0 .* Xt ./ X0 + C;
X3 = V;
C = Core_Satellite_Compute(r,mu_X,sigma_X,mu_S,sigma_S,rho,t,V0,m,X0,Xt,S0,St,alpha,1);
V = alpha .* V0 .* Xt ./ X0 + C;
Y3 = V;

m = 5;

C = Core_Satellite_Compute(r,mu_X,sigma_X,mu_S,sigma_S,rho,t,V0,m,X0,Xt,S0,St,alpha,0);
V = alpha .* V0 .* Xt ./ X0 + C;
X4 = V;
C = Core_Satellite_Compute(r,mu_X,sigma_X,mu_S,sigma_S,rho,t,V0,m,X0,Xt,S0,St,alpha,1);
V = alpha .* V0 .* Xt ./ X0 + C;
Y4 = V;

tol = 3;

indx = 1;
X = X1; Y = Y1;
i = 2;
do until i > nS;
  if minc(sqrt((X[i] - X[indx])^2 + (Y[i] - Y[indx])^2)) >= tol;
    indx = indx | i;
  endif;
  i = i + 1;
endo;
indx1 = indx;

indx = 1;
X = X2; Y = Y2;
i = 2;
do until i > nS;
  if minc(sqrt((X[i] - X[indx])^2 + (Y[i] - Y[indx])^2)) >= tol;
    indx = indx | i;
  endif;
  i = i + 1;
endo;
indx2 = indx;

indx = 1;
X = X3; Y = Y3;
i = 2;
do until i > nS;
  if minc(sqrt((X[i] - X[indx])^2 + (Y[i] - Y[indx])^2)) >= tol;
    indx = indx | i;
  endif;
  i = i + 1;
endo;
indx3 = indx;

indx = 1;
X = X4; Y = Y4;
i = 2;
do until i > nS;
  if minc(sqrt((X[i] - X[indx])^2 + (Y[i] - Y[indx])^2)) >= tol;
    indx = indx | i;
  endif;
  i = i + 1;
endo;
indx4 = indx;

graphset;
  begwind;
  window(2,2,0);

  _pdate = ""; _pnum = 2; _pframe = 0;
  _pnumht = 0.25; _paxht = 0.225; _ptitlht = 0.30;
  _plctrl = -1; _pstype = 11; _psymsiz = 2.5;

  xtics(0,800,200,2);
  ytics(0,800,200,2);
  fonts("simplex simgrma");

  xlabel("\216V]T[");
  ylabel("\216V[LS]]T[");
  _pline = 1~1~0~0~1000~1000~1~0~10;

  setwind(1);
   _pcolor = 1;
   title("\216\202r\201 = 0% et m = 2");
   xy(X1[indx1],Y1[indx1]);

  setwind(2);
   _pcolor = 2;
   title("\216\202r\201 = 0% et m = 5");
   xy(X2[indx2],Y2[indx2]);

  setwind(3);
   _pcolor = 3;
   title("\216\202r\201 = 90% et m = 2");
   xy(X3[indx3],Y3[indx3]);

  setwind(4);
   _pcolor = 4;
   title("\216\202r\201 = 90% et m = 5");
   xy(X4[indx4],Y4[indx4]);

    graphprt("-c=1 -cf=cppi14.eps");
  endwind;
