new;
library qam,pgraph,optmum;

V0 = 100;
r = 0.05;
S0 = 100;
T = 5;
b = 0.05;
sigma = 0.20;
tau = T;

G = 100;
C0 = V0 - G*exp(-r*T);

ST = seqa(50,1,151);

C1 = C0./S0 .* ST;

_Option_Type = "call";
K = 100;
P_C = EuropeanBS(S0,K,sigma,tau,b,r);
C2 = C0./P_C .* _max_(ST-K,0);

_Option_Type = "put";
K = 100;
P_P = EuropeanBS(S0,K,sigma,tau,b,r);
C3 = C0./(S0 + P_P) .* (ST + _max_(K-ST,0));

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 1;
  _pltype = 6|1|3; _plwidth = 10; _pcolor = 1|2|3;
  xtics(-50,100,25,2);
  ytics(0,70,10,2);
  xlabel("\216S]T[-S]0[");
  ylabel("\216C]T[");
  _plegstr = "S\000Call\000S + Put";
  _plegctl = {2 5 5.5 1.5};
  graphprt("-c=1 -cf=cppi3.eps");
  xy(ST-S0,C1~C2~C3);
