new;
library qam,pgraph,optmum;

V0 = 100;
r = 0.05;
mu = 0.10;
S0 = 100;
T = 5;
sigma = 0.20;
tau = T;

G = 100;
C0 = V0 - G*exp(-r*T);

m = 0.5~1~5;

St = seqa(1,1,301);
Ct = cppi_compute(r,mu,sigma,T,C0,m,S0,St);
Vt = G + Ct;
S1 = St; V1 = Vt;

m = 5;
St = 150;

sigma = 0.001|seqa(0.01,0.01,40);
Ct = cppi_compute(r,mu,sigma,T,C0,m,S0,St);
Vt = G + Ct;
sigma2 = sigma; V2 = Vt;

sigma = 0.20;
T = seqa(0,0.1,101);
Ct = cppi_compute(r,mu,sigma,T,C0,m,S0,St);
Vt = G + Ct;
T3 = T; V3 = Vt;

graphset;
  window3u;
    fonts("simplex simgrma");
    _pdate = ""; _pnum = 2; _pframe = 0;
    _plwidth = 10; _pcolor = 1|2|4; _pltype = 6|1|3;
    _pnumht = 0.225; _paxht = 0.252; _ptitlht = 0.275;

  setwind(1);
    ytics(100,300,50,2);
    xtics(0,300,100,2);
    xlabel("\216S]T[");
    _plegstr = "m = 0,5\000m = 1\000m = 5";
    _plegctl = {2 6 3 4};
    xy(S1,V1);

  _pcolor = 4; _pltype = 3; _plegctl = 0;

  setwind(2);
    ytics(100,175,25,2);
    xtics(0,0.40,0.10,2);
    xlabel("\216\202s\201");
    xy(sigma2,V2);

  setwind(3);
    ytics(100,250,50,2);
    xtics(0,10,2,2);
    xlabel("\216T");
    xy(T3,V3);

    graphprt("-c=1 -cf=cppi5.eps");

  endwind;