new;
library qam,pgraph,optmum;

#include ir.params

cls;

_Bond_Continuous_Time = 0;

Results = zeros(5,6);

nt = 1;
do until nt > 5;
  t = seqa(1,1,nt);
  Ct = 5 * ones(nt,1);
  Ct[nt] = 100 + Ct[nt];
  Rt = NelsonSiegel_SpotRate(params,t);
  Bt = NelsonSeigel_ZeroCoupon(params,t);

  Results[nt,1] = nt;
  Results[nt,2] = 100*Rt[nt];
  Results[nt,3] = 100*Bt[nt];  

  P = Bond_Compute_Price(t,Ct,Rt);
  YTM = Bond_Compute_YTM(t,Ct,P);
  D = Bond_Compute_Duration(t,Ct,YTM);

  Results[nt,4] = P;  
  Results[nt,5] = 100*YTM;  
  Results[nt,6] = D;  

  nt = nt + 1;
endo;

print ftosa(Results,"%lf",3,2);

