new;
library qam,pgraph,optmum;

#include ir.params

cls;

_Bond_Continuous_Time = 0;

nt = 5;
t = seqa(1,1,nt);
Ct = 5 * ones(nt,1);
Ct[nt] = 100 + Ct[nt];
Rt = NelsonSiegel_SpotRate(params,t);
P = Bond_Compute_Price(t,Ct,Rt);
YTM = Bond_Compute_YTM(t,Ct,P);
D = Bond_Compute_Duration(t,Ct,YTM);

let dR = 0 -5 -3 -1 1 3 5;
dR = dR/1000;
n = rows(dR);

Results = zeros(n,6);

i = 1;
do until i > n;
  P1 = Bond_Compute_Price(t,Ct,Rt + dR[i]);
  G1 = P1 - P;

  P2 = Bond_Compute_Price(t,Ct,YTM + dR[i]);
  G2 = P2 - P;

  G3 = D .* dR[i];

  Results[i,.] = dR[i]*1e4~P1~G1~P2~G2~G3;

  i = i + 1;
endo;

print ftosa(Results,"%lf",1,2);




