new;
library qam,pgraph,optmum;

cls;

a = 0.5;
b = 100;
sigma = 5~5;

S0 = 115~85;
t = seqa(0,1/100,301);
{muF,sigmaF} = Forecast_OU(t,S0,a,b,sigma);
Bound1 = muF[.,1] + (-1.96~0~1.96) .* sigmaF[.,1];
Bound2 = muF[.,2] + (-1.96~0~1.96) .* sigmaF[.,2];

a = 2.5;

{muF,sigmaF} = Forecast_OU(t,S0,a,b,sigma);
Bound3 = muF[.,1] + (-1.96~0~1.96) .* sigmaF[.,1];
Bound4 = muF[.,2] + (-1.96~0~1.96) .* sigmaF[.,2];

graphset;
  begwind;
  window(2,2,0);

    fonts("simplex simgrma");

    _pdate = ""; _pframe = 0; _pnum = 2; 
    _plwidth = 10; _pcross = 0; _pltype = 3|6|3; 
    _paxht = 0.22; _pnumht = 0.22; _ptitlht = 0.25; 
    _pcolor = 4|3|1;

    ytics(80,120,10,2);
    xtics(0,3,0.5,2);
    xlabel("\216t");

  setwind(1);
    title("\216a\201 = 0,5 et S]0[ = 115");
    xy(t,Bound1);

  setwind(2);
    title("\216a\201 = 0,5 et S]0[ = 85");
    xy(t,Bound2);

  setwind(3);
    title("\216a\201 = 2,5 et S]0[ = 115");
    xy(t,Bound3);

  setwind(4);
    title("\216a\201 = 2,5 et S]0[ = 85");
    xy(t,Bound4);

    graphprt("-c=1 -cf=momentum11.eps");

  endwind;

