new;
library qam,pgraph,optmum;
cls;

#include option.src

let string option_strategy[6,2] = "call" "sell"
                                  "put"  "sell"
                                  "call" "buy"
                                  "put"  "buy"
                                  "call" "sell"
                                  "put"  "sell";

let Spread = 0 0 0 0 2 -3;
let Strike = 1.00 0.95 1.00 0.95 1.00 0.95;

nOption_Strategy = rows(option_strategy);
nStrike = rows(Strike);

nIters = nOption_Strategy;

_option_impvol = "bloom";

S = {};
Cash = {};

iter = 1;
do until iter > nIters;

  {tmp_Dates,tmp_S,tmp_Cash} = Option_Backtest(0,Strike[iter],option_strategy[iter,1],option_strategy[iter,2],Spread[iter]);

  S = S ~ tmp_S;
  Cash = Cash ~ tmp_Cash;

  iter = iter + 1;
endo;


all_data = tmp_dates~Cash[.,1]~S;
all_data = selif(all_data,all_data[.,1] .<= 20091231);
all_data = selif(all_data,all_data[.,1] .>= 19921231);

Dates = all_data[.,1];
nDates = rows(Dates);
R_Index = all_data[.,2];
Data = all_data[.,3:8];

_fin_holidays = 0;

{mu,sigma,SR,IR,MDD,start_MDD,end_MDD,sk,kt} =  Compute_Reporting(Dates,Data,R_Index,0);
data = 100*mu' | 100 * sigma' | SR' | IR' | 100*MDD' | start_MDD' | end_MDD' | sk' | kt';

print ftosa(data,"%lf",3,2);