new;
library option,pgraph;

S0 = 100;
K = 100;
r = 0.05;
sigma = 0.20;
tau = 1;
b = r;

S = seqa(40,1,121);
Delta = EuropeanBS_Delta(S,K,Sigma,tau,b,r);
S1 = S;
Delta1 = Delta;

tau = 10;
Delta = EuropeanBS_Delta(S,K,Sigma,tau,b,r);
S2 = S;
Delta2 = Delta;

tau = 1;
sigma = 0.40;
Delta = EuropeanBS_Delta(S,K,Sigma,tau,b,r);
S3 = S;
Delta3 = Delta;

sigma = 0.20;
K = 120;
Delta = EuropeanBS_Delta(S,K,Sigma,tau,b,r);
S4 = S;
Delta4 = Delta;

Delta0 = ones(rows(S),1);

graphset;
  begwind;
  window(2,2,0);

  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3; _plwidth = 10;
  _ptitlht = 0.25; _pnumht = 0.18; _paxht = 0.25;
  xtics(40,160,20,2);
  ytics(0,120,20,2);
  fonts("simplex simgrma");
  ylabel("\216e]t[ (en %)");
  
  setwind(1);
     title("\216K = 100, T = 1Y et \202s\201 = 20%");
    _pcolor = 1|5;
    xy(S1,100*(Delta1~Delta0));

  setwind(2);
     title("\216T = 10Y");
    _pcolor = 2|5;
    xy(S2,100*(Delta2~Delta0));

  setwind(3);
     title("\216\202s\201 = 40%");
    _pcolor = 3|5;
    xy(S3,100*(Delta3~Delta0));

  setwind(4);
     title("\216K = 120");
    _pcolor = 4|5;
    _plegstr = "Call\000Buy and hold";
    _plegctl = {2 6 2 3};
    xy(S4,100*(Delta4~Delta0));

    graphprt("-c=1 -cf=option2.eps");

  endwind;

