new;
library qam,pgraph;

S0 = 100;
e0 = 0.50~1.00~1.50;

m = e0/S0;

T = 1;
sigma = seqa(0,0.01,50);


ST = seqa(30,180/200,201);
G1 = S0 + 0.5 * m .* (ST^2 - S0^2);

S_star = 100;
G2 = S0 + 0.5 * m .* ( (ST-S_Star)^2 - (S0-S_star)^2);

S_star = 90;
G3 = S0 + 0.5 * m .* ( (ST-S_Star)^2 - (S0-S_star)^2);

S_star = 105;
G4 = S0 + 0.5 * m .* ( (ST-S_Star)^2 - (S0-S_star)^2);

graphset;
  begwind;
  window(2,2,0);

  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3|1|5; _plwidth = 10;
  _ptitlht = 0.275; _pnumht = 0.20; _paxht = 0.25; _pcolor = 1|2|3|4;
  fonts("simplex simgrma");

  _pline = 1~3~0~100~200~100~1~0~10;
  
  setwind(1);
    title("\216Long only");
    _pcross = 0;
    xtics(80,120,5,2);
    ytics(80,120,5,2);  
    xlabel("\216S]T[");
    xy(ST,G1);

  setwind(2);
    title("\216Long/short (S[*] = 100)");
    _pcross = 0;
    xtics(80,120,5,2);
    ytics(99,104,1,2);  
    xlabel("\216S]T[");
    xy(ST,G2);

  setwind(3);
    title("\216Long/short (S[*] = 90)");
    _pcross = 0;
    xtics(80,120,5,2);
    ytics(99,104,1,2);  
    xlabel("\216S]T[");
    xy(ST,G3);

  setwind(4);
    title("\216Long/short (S[*] = 105)");
    _pcross = 0;
    xtics(80,120,5,2);
    ytics(99,104,1,2);  
    xlabel("\216S]T[");
    _plegstr = "e]0[ = 50%\000e]0[ = 100%\000e]0[ = 150%";
    _plegctl = {2 6 4 4};
    xy(ST,G4);

    graphprt("-c=1 -cf=option7.eps");

  endwind;


  

