new;
library qam,pgraph,optmum;

S0 = 100;
K = 100;
ST = seqa(80,1,41);
b = 0.05;
r = 0.05;
tau = 1/12;
Sigma = 0.20;

PnL_S = ST - S0;
Price = BS_Straddle(S0,K,Sigma,tau,b,r);
PnL = Straddle_Payoff(ST,K) - Price;

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pcross = 1; _pltype = 3|6; _plwidth = 10; _pcolor = 1|2;
  xtics(85,115,5,5);
  ytics(-6,8,2,1);
  xlabel("\216S]T[");
  ylabel("\216PnL");
  _parrow = S0~0~S0~-Price~3~0.1~02~0~1~6~10;
  _pmsgstr = "C+P";
  _pmsgctl = 0.9975*S0~-0.5*Price~0.15~90~1~0~10 ;
  _plegstr = "Position longue\000ATM Straddle";
  _plegctl = {2 5 6 1};
  graphprt("-c=1 -cf=volatility1.eps");
  xy(ST,PnL_S~PnL);