new;
library qam,pgraph,optmum;

datFileName = "..\\data\\qam_spx_daily_option";

Data = loadd(datFileName);
vnames = getname(datFileName);

let selected_names = "date" "SPX_PI" "SPX_VIX";
indx = indcv(selected_names,vnames);
data = data[.,indx];

data = selif(data, (data[.,1] .>= 19900101) .and (data[.,1] .<= 20091231));

Dates = Data[.,1];
SPX = Data[.,2];
VIX = Data[.,3];

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6; _plwidth = 7; _pcolor = 1;
  xtics(1,261*20,261*5,2);
  ytics(0,80,10,2);
  let xlab = "1990" "95" "2000" "05" "10";
  asclabel(xlab,0);
  graphprt("-c=1 -cf=volatility20.eps");
  xy(0,VIX);
  
  