new;
library qam,tsm,optmum,pgraph;

Nobs = 10000;
t = seqa(1,1,Nobs);
a0 = 0;
p = 200~1000~3000;
c = 2;
x = c .* sin(a0 + 2*pi*t./p);

_fourier = 0;
nLags = 5000;

{lambda,I} = PDGM(x[.,1]);
nLambda = rows(lambda);
I = zeros(nLambda,3);
Cov = zeros(nLambda,3);
R = zeros(nLags+1,3);
j = 1;
do until j > 3;
  {lambda,I[.,j]} = PDGM(x[.,j]);
  cov[.,j] = real(inverse_fourier(I[.,j]));
  j = j + 1;
endo;

graphset;
  window3d;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pnumht = 0.225; _paxht = 0.225; _ptitlht = 0.275;
  _pltype = 6; _plwidth = 10; 
  xlabel("\216t");
  xtics(0,Nobs,Nobs/5,2);
  ytics(-2,2,1,0);

  j = 1;
  setwind(j);
    _pcolor = 1;
    title("\216p = 200");
    xy(t,x[.,j]);

  j = 2;
  setwind(j);
    _pcolor = 2;    
    title("\216p = 1 000");
    xy(t,x[.,j]);

  j = 3;
  setwind(j);
    _pcolor = 4;    
    _parrow = p[j]/Nobs~0~2*p[j]/Nobs~0~5~0.5~02~0~1~6~10; 
    _pmsgstr = "p";
    _pmsgctl = 1.5*p[j]~0.25~0.35~0~1~0~10; 
    title("\216p = 3 000");
    xy(t,x[.,j]);

    graphprt("-c=1 -cf=spectral1.eps");
  endwind;