new;
library qam,tsm,optmum,pgraph;

Nobs = 10000;
t = seqa(1,1,Nobs);
a0 = 0;
p = 100~50~10;
c = 2;
x = c .* sin(a0 + 2*pi*t./p);

_fourier = 0;

{lambda,I} = PDGM(x[.,1]);
nLambda = rows(lambda);
I = zeros(nLambda,3);
j = 1;
do until j > 3;
  {lambda,I[.,j]} = PDGM(x[.,j]);
  j = j + 1;
endo;

q = trunc(rows(lambda)/2);
lambda = lambda[1:q];
I = I[1:q,.];

graphset;
  window3d;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pnumht = 0.225; _paxht = 0.225;
  _pltype = 6; _plwidth = 10; _ptitlht = 0.275;
  fonts("simplex simgrma");
  ytics(0,1e4,2e3,0);

  xlabel("\216\202l\201");
  xtics(0,pi,pi/4,0);
  lab = " 0 \202p\201/4 \202p\201/2 \2013\202p\201/4 \202p\201";
  asclabel(lab,0);

  j = 1;
  setwind(j);
    _pcolor = 1;    
    title(itos("\216p = ",p[j]));
    xy(lambda,I[.,j]);

  j = 2;
  setwind(j);
    _pcolor = 2;    
    title(itos("\216p = ",p[j]));
    xy(lambda,I[.,j]);

  j = 3;
  setwind(j);
    _pcolor = 4;    
    title(itos("\216p = ",p[j]));
    _pmsgstr = "\2012\202p\201/p";
    _pmsgctl = 1.5*pi/p[j]~9000~0.25~0~1~0~10; 
    xy(lambda,I[.,j]);

    graphprt("-c=1 -cf=spectral3.eps");
  endwind;

