new;
library qam,pgraph,optmum,tsm;

let x = 0.05 0.04 -0.06;
let beta = -0.12 0.60 -0.20;
R_I = 0.04;
R_F = x'beta;
v = R_I - R_F;
F = 0.02^2;
P = diagrv(eye(3),0.20^2);

Table = {};
Table = Table~100*(Beta|x'Beta);

newBeta = Compute_Delta(beta,P,x,F,v);
print ftosa(100*newBeta,"%lf",1,3);
print x'newBeta;
Table = Table~100*(newBeta|x'newBeta);

F = 0.05^2;
newBeta = Compute_Delta(beta,P,x,F,v);
print ftosa(100*newBeta,"%lf",1,3);
print x'newBeta;
Table = Table~100*(newBeta|x'newBeta);

F = 0.02^2;
P = diagrv(eye(3),0.05^2);
newBeta = Compute_Delta(beta,P,x,F,v);
print ftosa(100*newBeta,"%lf",1,3);
print x'newBeta;
Table = Table~100*(newBeta|x'newBeta);

let P = 1.00
        0.50 1.00 
        0.00 0.00 1.00;
P = xpnd(P);
P = P * (0.20^2);
newBeta = Compute_Delta(beta,P,x,F,v);
print ftosa(100*newBeta,"%lf",1,3);
print x'newBeta;
Table = Table~100*(newBeta|x'newBeta);

let P = 1.00
        -0.50 1.00 
        0.00 0.00 1.00;
P = xpnd(P);
P = P * (0.20^2);
newBeta = Compute_Delta(beta,P,x,F,v);
print ftosa(100*newBeta,"%lf",1,3);
print x'newBeta;
Table = Table~100*(newBeta|x'newBeta);

let P = 1.00
        0.50 1.00 
        -0.40 0.50 1.00;
P = xpnd(P);
call invpd(P);

P = P * (0.20^2);
newBeta = Compute_Delta(beta,P,x,F,v);
print ftosa(100*newBeta,"%lf",1,2);
print x'newBeta;
Table = Table~100*(newBeta|x'newBeta);

cls;

print ftosa(Table,"%lf",1,1);

proc Compute_Delta(beta,P,x,F,v);
  local delta;
  delta = P*x*inv(F)*v;
  beta = beta + delta;
  retp(beta);
endp;



