new;
library qam,tsm,pgraph;
cls;

t = seqa(-5,10/1000,1001);

psi1 = wavelet_morlet(t,2);
psi2 = wavelet_morlet(t,5);
psi3 = wavelet_morlet(t,10);
psi4 = wavelet_morlet(t,20);

graphset;
  begwind;
  window(2,2,0);

  fonts("simplex simgrma");

  _pframe = 0; _pnum = 2; _pdate = "";
  _paxht = 0.225; _pnumht = 0.225; _ptitlht = 0.275;
  _pltype = 6; _plwidth = 10;
  xtics(-5,5,2.5,0);
  ytics(-0.4,0.4,0.2,2);

  setwind(1);
    _pcolor = 1;
    title("\216\202l\201[*] = 2");
    xy(t,real(psi1));

  setwind(2);
    _pcolor = 2;
    title("\216\202l\201[*] = 5");
    xy(t,real(psi2));

  setwind(3);
    _pcolor = 3;
    title("\216\202l\201[*] = 10");
    xy(t,real(psi3));

  setwind(4);
    _pcolor = 4; _plwidth = 8;
    title("\216\202l\201[*] = 20");
    xy(t,real(psi4));

    graphprt("-c=1 -cf=wavelet2.eps");

  endwind;