new;
library option,pgraph;
optionSet;

cls;

K = seqa(80,1,41);
nK = rows(K);

sigma = 0.20;
tau = 3/12;
r = 0.05;
S0 = 100;
V0 = 0.2^2; 
theta = V0; 
Kappa = 0.5; 
sigmaV = 0.25; 
lambda = 0;  
rho = 0.5;

_int_order = 128;
_int_mtd = 2;
_Heston_Model = 1;

proc (1) = _Heston_Delta(XXX);
  local C,P;
  {C,P} = EuropeanHeston(XXX,K,tau,r,V0,kappa,theta,sigmaV,rho,lambda);
  retp(C);
endp;

proc (1) = _Heston_Delta2(XXX);
  local C,P;
  {C,P} = EuropeanHeston(S0,XXX,tau,r,V0,kappa,theta,sigmaV,rho,lambda);
  retp(C);
endp;


Delta = _Option_gradp(&_Heston_Delta,S0,0);
//Delta = -_Option_gradp(&_Heston_Delta2,K,0);
BC = BinaryHeston(S0,K,tau,r,V0,kappa,theta,sigmaV,rho,lambda);

print BC~Delta;

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1; _plwidth = 10;
  xy(K,Delta~BC);