new;
library qam,pgraph,optmum;

datFileName = "..\\data\\qam_dataset1";

Data = loadd(datFileName);
vnames = "" $+ getname(datFileName);

Data = selif(Data,(Data[.,1] .>= 19891231) .and (Data[.,1] .<= 20091231));

Dates = Data[.,1];
nDates = rows(Dates);
let string selected_names = "BXM" "SPX_TR" "FED_1M";
indx = indsav(selected_names,vnames);
Data = Data[.,indx];
Data = Fill_Miss(Data,4);

Strategy = Data[.,1];  // BXM
BenchMark = Data[.,2]; // SPX_TR
Fed_Fund = Data[.,3]/100;
R_Index = Compute_Capitalized_Eonia(Dates,Fed_Fund);

Results = Compute_Global_Reporting(Dates,Strategy,BenchMark,R_Index,0,0);
xlsFileName = "backtest14.xlsx";
retcode = Excel_Reporting(Results,xlsFileName);
