new;
library qam,optmum;

cls;

rndseed 123;

Nobs = 1000;
k = 25;
sigma = 1;

coeff = rndu(k,1);
x = 50*rndu(Nobs,k);
y = x*coeff + rndn(Nobs,1)*sigma;

/* Estimation non contrainte */

{beta1,u1,R2} = regQP(y,x,0,0,0,0,0,0,0);

/* beta[1] = 2 */

A = 1~zeros(1,k-1); B = 2;
{beta2,u2,R2} = regQP(y,x,0,0,A,B,0,0,0);

/*
   beta[1] + ... + beta[k] = 0
   beta[1] + 2 * beta[2] > 5
   beta[3] - beta[4] > 2
   -0.5 < beta[i] < 4
*/

A = ones(1,k); B = 0;
C = 1~2~zeros(1,k-2)      |
    0~0~1~-1~zeros(1,k-4) ;
D = 5|2;
bnds = {-0.5 4};
{beta3,u3,R2} = regQP(y,x,0,0,A,B,C,D,bnds);

print beta1[1:10]~beta2[1:10]~beta3[1:10];

