new;
library qam,pgraph,optmum;

let sigma = 0.20 0.25 0.30;
let rho = 1.0
          0.5 1.0
          0.5 0.5 1.0;
rho = xpnd(rho);
cov = rho .* sigma' .* sigma;

let b = 0.4 0.3 0.3;

beta = (cov*b)/(b'*cov*b);
print beta;

w = ones(3,1)/3;
print sumc(w .* beta);

w = eye(3) ~ (ones(3,1)/3);

beta_w = (w'cov*b)/(b'*cov*b);
print beta_w;

proc func(x);
  local cov,y,u;

  x = sqrt(x^2);
  cov = rho .* x' .* x;
  y = cov * b;
  y = y / y[1];
  u = y / y[1] - beta/beta[1];
  retp(u'u);
endp;

proc func2(x);
  local cov,y,u;

  x = sqrt(x^2);
  cov = rho .* x' .* x;
  y = w ' cov * b;
  y = y / y[1];
  u = y / y[1] - beta_w/beta_w[1];
  retp(u'u);
endp;

let sv = 0.20 0.20 0.20;
{x,fmin,grd,retcode} = optmum(&func2,sv);
x/x[1]~sigma/sigma[1];  

print beta;
