new;
library pgraph,optmum,qam;

cls;

Let A[5,2] = 1.0 1.0
             1.0 1.0
             1.0 0.0 
             1.0 0.0
             1.0 0.0;
n = rows(A);
m = cols(A);

let sigma_F = 0.20 0.10;
let rho_F[2,2] = 1 0
                 0 1;
Omega = rho_F' .* sigma_F .* sigma_F';
let sigma_A = 0.10 0.15 0.10 0.15 0.20;
D = diagrv(eye(n),sigma_A^2);

cov = A*Omega*A' + D;
sigma = sqrt(diag(cov));
rho = cov ./ sigma ./ sigma';

print ftosa(100*sigma,"%lf",3,2);
print ftosa(100*rho,"%lf",3,2);
print "------------------------------------";

Let A[5,3] = 1.0 1.0 0.0
             1.0 1.0 0.0
             0.0 1.0 1.0 
             0.0 1.0 1.0
             0.0 1.0 1.0;
n = rows(A);
m = cols(A);

let sigma_F = 0.20 0.10;
sigma_F3 = sqrt(sigma_F[1]^2+sigma_F[2]^2);
sigma_F = sigma_F | sigma_F3;
let rho_F[2,2] = 1 0
                 0 1;
rho_13 = sigma_F[1]/sigma_F3;
rho_23 = -sigma_F[2]/sigma_F3;
rho_F = 1 | 0 | 1 | rho_13 | rho_23 | 1;
rho_F = xpnd(rho_F);

Omega = rho_F' .* sigma_F .* sigma_F';
let sigma_A = 0.10 0.15 0.10 0.15 0.20;
D = diagrv(eye(n),sigma_A^2);

cov = A*Omega*A' + D;
sigma = sqrt(diag(cov));
rho = cov ./ sigma ./ sigma';

print ftosa(100*sigma,"%lf",3,2);
print ftosa(100*rho,"%lf",3,2);
print "------------------------------------";


