new;
library qam,pgraph,optmum;

cls;

rndseed 223;

n = 100;
k = 5;

x = rndu(n,k);
let beta = -1 1 2 3 0;
sigma = 0.20;
u = rndn(n,1) * sigma;
y = x*beta + u;

xx = trunc(100*x'x)/100;
xy = trunc(100*x'y)/100;

print ftosa(xx~xy,"%lf",3,2);

Q = 2 * XX;
R = 2 * XY;
sv = beta;

{beta1,u1,u2,u3,u4,retcode} = Qprog(sv,Q,R,0,0,0,0,0);
print beta1~(xy/xx);

let A[1,5] = 1 1 1 1 1;
let B = 4;
{beta2,u1,u2,u3,u4,retcode} = Qprog(sv,Q,R,A,B,0,0,0);
print beta2;

let A[2,5] = 1 -1 0 0 0
             1  0 0 0 -1;
let B = 0 0;
{beta3,u1,u2,u3,u4,retcode} = Qprog(sv,Q,R,A,B,0,0,0);
print beta3;

let C[4,5] = 1 -1  0  0  0
             0  1 -1  0  0
             0  0  1 -1  0
             0  0  0  1  -1;
let D = 0 0 0 0;
{beta4,u1,u2,u3,u4,retcode} = Qprog(sv,Q,R,0,0,C,D,0);
print beta4;

{beta5,u1,u2,u3,u4,retcode} = Qprog(sv,Q,R,0,0,-C,-D,0);
print beta5;

A = ones(1,5); B = 1;
{beta6,u1,u2,u3,u4,retcode} = Qprog(sv,Q,R,A,B,-C,-D,0);
print beta6;

x = beta6;
F = Q*x - R - u1;
F+(C'*u2);

print "u1 = " u1;
print "u2 = " u2;
