new;
library qam,pgraph,optmum;

cls;
__output = 0;

let mu =    0.15 0.10 0.08 0.06;
let sigma = 0.15 0.10 0.07 0.05;

let rho = 1.00 
          0.50 1.00
          0.20 0.20 1.00
          0.00 0.00 0.00 1.00;
rho = xpnd(rho);
cov = rho .* sigma .* sigma';
call invpd(cov);

A = ones(1,4); B = 1; C = 0; D = 0; Bounds = (0~1) .* ones(4,1);

phi = seqa(0,0.001,1001);
{x,er,vol,phi,retcode} = Qprog_Allocation_Solve(mu,cov,A,B,C,D,Bounds,phi,0);
rf = 0.02;
Sharpe = (er-rf)./ vol;
indx = maxindc(Sharpe);
x0 = x[.,indx];
sharpe0 = sharpe[indx];

{x1,mu1,sigma1,sharpe1,phi1} = Qprog_Sharpe_Maximize(mu,cov,A,B,C,D,Bounds,rf,0,0.001);  
print ftosa(100*(x0~x1),"%lf",3,2);
print ftosa(sharpe0,"Sh0 = %lf",3,4);
print ftosa(sharpe1,"Sh1 = %lf",3,4);

rf = 0.03;

Sharpe = (er-rf)./ vol;
indx = maxindc(Sharpe);
x0 = x[.,indx];
sharpe0 = sharpe[indx];

{x1,mu1,sigma1,sharpe1,phi1} = Qprog_Sharpe_Maximize(mu,cov,A,B,C,D,Bounds,rf,0,0.001);  
print ftosa(100*(x0~x1),"%lf",3,2);
print ftosa(sharpe0,"Sh0 = %lf",3,4);
print ftosa(sharpe1,"Sh1 = %lf",3,4);

rf = 0.04;

Sharpe = (er-rf)./ vol;
indx = maxindc(Sharpe);
x0 = x[.,indx];
sharpe0 = sharpe[indx];

{x1,mu1,sigma1,sharpe1,phi1} = Qprog_Sharpe_Maximize(mu,cov,A,B,C,D,Bounds,rf,0,0.001);  
print ftosa(100*(x0~x1),"%lf",3,2);
print ftosa(sharpe0,"Sh0 = %lf",3,4);
print ftosa(sharpe1,"Sh1 = %lf",3,4);