new;
library qam,pgraph,optmum;

cls;

rndseed 123;

n = 4;

r = 0.05;
mu = r + rndu(n,1)*0.10;
sigma = rndu(n,1) * 0.30;
sh = (mu - r)./sigma;

print ftosa(mu~sigma~sh,"%lf",3,3);

rho = 0;
rho = diagrv(rho*ones(n,n),1);
cov = rho .* sigma .* sigma';
w = ones(n,1)/n;

sh1 = (w'mu - r)/sqrt(w'*cov*w);
sh2 = sumc(mu - r)/sqrt(sumc(sigma^2));
p = sigma/sqrt(sumc(sigma^2));
sh3 = p'*sh;
print sh1~sh2~sh3;

let sigma = 0.20 0.20 0.30 0.10 0.30;
let sh =    0.40 0.35 0.30 0.70 0.40;
p1 = sigma/sqrt(sumc(sigma^2));
sh1 = p1'sh;

let sigma = 0.15 0.15 0.20 0.10 0.50;
let sh =    0.10 0.15 0.05 0.05 0.90;
p2 = sigma/sqrt(sumc(sigma^2));
sh2 = p2'sh;

print p1~p2;
print;
print sh1~sh2;

let sigma = 0.50 2.00;
let sh =    0.50 0.40;
p3 = sigma/sqrt(sumc(sigma^2));
sh3 = p3'sh;
print sh3;