new;
library qam,pgraph,optmum;

cls;

rndseed 123;

n = 10;

r = 0.05;
mu = r + rndu(n,1)*0.10;
sigma = ones(n,1) * 0.30;
sh = (mu - r)./sigma;

print ftosa(mu~sigma~sh,"%lf",3,3);

rho = 0.5;
cor = diagrv(rho*ones(n,n),1);
cov = cor .* sigma .* sigma';
w = ones(n,1)/n;

vol1 = sqrt(w'*cov*w);
sh1 = w'(mu - r)/vol1;
vol2 = sigma[1]*sqrt(rho + (1 - rho)/n);
sh2 = (sigma[1]*sumc(sh)/n)/vol2;

p = (1/sqrt(rho + (1 - rho)/n));
sh3 = p*meanc(sh);

print sh1~sh2~sh3;

rho = 0.50;
n = 4;
p = (1/sqrt(rho + (1 - rho)/n));
print p;