new;
library qam,pgraph,optmum;
dlibrary quad;

cls;

m1 = 1; m2 = 1; K = 5;
S1 = 100; S2 = 100;
sigma1 = 0.20; sigma2 = 0.20; 
T1 = 1; T2 = T1;
r = 0.05; b1 = r; b2 = b1;
rho = 0.50;

call SpreadOption_Set(m1,S1,sigma1,T1,b1,m2,S2,sigma2,T2,b2,rho,r);

let orders = 2 4 8 16 32 64 128;
n = rows(orders);
Sp = zeros(n,6);

i = 1;
do until i > n;

  _SpreadOption_bounds = 3|-3;

  _SpreadOption_order = orders[i];

  _SpreadOption_mtd = 1; // 1D

  _SpreadOption_int = 0; // Hermite
  Sp[i,1] = SpreadOption_BS(K);
  _SpreadOption_int = 1; // Legendre
  Sp[i,2] = SpreadOption_BS(K);

  _SpreadOption_mtd = 2; // 2D

  _SpreadOption_int = 0; // Hermite
  Sp[i,3] = SpreadOption_BS(K);
  _SpreadOption_int = 1; // Legendre
  Sp[i,4] = SpreadOption_BS(K);

  _SpreadOption_bounds = 5|-5;
  _SpreadOption_int = 1; // Legendre

  _SpreadOption_mtd = 1; // 1D
  Sp[i,5] = SpreadOption_BS(K);
  _SpreadOption_mtd = 2; // 2D
  Sp[i,6] = SpreadOption_BS(K);

  i = i + 1;
endo;

__fmtnv  = { "*.*lf " 10 4};
call printfmt(orders~Sp,1);