new;

let dims = 100 250 500 750 1000 2000;
nIters = rows(dims);
dt = zeros(nIters,3);

iter = 1;
do until iter > nIters;
  n = dims[iter];
  x = seqa(1,1,n);
  A = rndu(n,n);
  A_band = band(A,2);
  A = bandrv(A_band);
  A = A'A;
  A_band = band(A,4);
  A_dense = bandrv(A_band);
  b = A_dense*x;
  t0 = hsec;
  call bandsolpd(b,A_band);
  t1 = hsec;
  call solpd(b,A_dense);  
  t2 = hsec;
  call (b/A_dense);  
  t3 = hsec;
  dt[iter,.] = (t1-t0)~(t2-t1)~(t3-t2);
  iter = iter + 1;
endo;

print dt;  

n = 10e6;
A_band = ones(n,4) .* seqa(1,1,4)';
b = rndu(n,1);
t0 = hsec;
call bandsolpd(b,A_band);
t1 = hsec;
print t1-t0;
