new;
library qam,pgraph,optmum;

r = 1;

nr = 1500;
pi_s = zeros(nr,2);

i = 1;
do until i > nr;

  n = 10000;
  u = rndu(n,2);
  x = u[.,1];
  y = u[.,2];

  s = (x^2 + y^2) .<= r^2;
  pi_s[i,1] = 4*meanc(s);

  pi_s[i,2] = 4*meanc(s[1:1000]);

  i = i + 1;
endo;

x = seqa(3,0.30/256,256);
{d1,F} = regKernelDensity(pi_s[.,1],x);
{d2,F} = regKernelDensity(pi_s[.,2],x);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1; _plwidth = 10; _pcolor = 1|2;
  _plegstr = "n = 10 000\000n = 1 000";
  _plegctl = {2 5 5.4 4};
  _pline = 1~3~pi~0~pi~30~1~0~10;
  xtics(3,3.30,0.05,2);
  graphprt("-c=1 -cf=mc11.eps");
  xy(x,d1~d2);