new;
library qam,pgraph,optmum;

cls;

N = 4; T = 5; K = 8;

alpha = 0.02;
beta = 0.01;
gamma_ = 0.01;

proc (1) = f(t,e,c);
  retp(-1/e.*ln(e)-alpha/t*(c-e)^2 + beta*c + gamma_ .* sqrt(e) .* exp(sin(e)) );
endp;

proc (1) = g(t,e,c);
  retp(e);
endp;

e = seqa(1,0.5,N);
v = seqa(1,1,K);

rndseed 123;

proc hT(T,e);
  local h;
  h = seqa(1,1,N);
  retp(h);
endp;

{t,B,C} = Bellman_Optimize_Tree(e,v,T,&f,&g,&hT);

print ftosa(B,"%lf",3,2);
print ftosa(C,"%lf",1,0);