new;
library qam,pgraph,optmum;

a = 0.12; b = 0.04; sigma = 0.04;
pi_B = 0.015; D = 10;
pi_S = 0.06; sigma_S = 0.20; rho = 0.50;

sigma1 = 0.19; sigma2 = 0.06;
sigma_S = sqrt(sigma1^2 + sigma2^2);
sigma_B = sigma .* (1 - exp(-a .* D)) ./ a;
rho = sigma2 .* sigma_B ./ (sigma_S .* sigma_B); 

tau = 10; gamma_ = 0;

{x_C,x_B,x_S,params} = Profile_Fund_Allocation(a,b,sigma,pi_B,D,pi_S,sigma_S,rho,tau,gamma_);
{sigma_B,sigma_T,sigma1,sigma2,lambda,lambda_prime} = Profile_Fund_Parameters(Params);
Profile_Fund_Check(Params);

/*
**> Prigent, 2007, page 223
**
*/

let gamma_ = 3.52 5.28 10.57;
{x_C,x_B,x_S,params} = Profile_Fund_Allocation(a,b,sigma,pi_B,D,pi_S,sigma_S,rho,tau,gamma_);
print ftosa(100*(x_C~x_B~x_S),"%lf",3,0);

  