new;
library qam,pgraph,optmum;

tau = seqa(-5,5,9);
let glide_path[9,3] = 
5.3 30.7 32.3
5.5 28.9 27.7 
5.8 41.4 9.2 
6.0 36.8 2.8
6.2 31.1 0.0
6.5 21.7 0.0
6.8 13.5 0.0
7.0 10.6 0.0
7.3 8.4  0.0;

x_Bond = sumr(glide_path[.,1:2]);
x_Cash = glide_path[.,3];
x_Equity = 100 - x_Bond - x_Cash; 

glide_path = x_Equity~x_Bond~x_Cash;
glide_path = cumsumc(glide_path')';
tau = -tau;

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6; _plwidth = 10; _pcolor = 1|2|3;
  let xlab = "35" "30" "25" "20" "15" "10" "5" "0" "-5";
  asclabel(xlab,0);
  xtics(-35,5,5,2);
  ytics(0,100,20,2);
  xlabel("\216\202t\201");
  _pmsgstr = "Actions\000Obligations\000Cash";
  _pmsgctl = 2~3~0.15~0~2~0~8 |
             5~5~0.15~0~2~0~8 |
             7.5~6~0.15~0~2~0~8 ;
  graphprt("-c=1 -cf=bellman31.eps");
  xy(tau,glide_path);