new;
library qam,pgraph,optmum;

cls;

__eps = 1e-10;

let mu =    0.05 0.09 0.07 0.06;
let sigma = 0.04 0.15 0.05 0.10;
let rho =   1.00 
            0.10  1.00
            0.40  0.20  1.00
           -0.10 -0.10 -0.20 1.00;
rho = xpnd(rho);
Sigma = rho .* sigma .* sigma';

let x_star = 0.10 0.20 0.50 0.20;
sh = 1.00;

tau = 1;

let P[2,4] = 1 0 0 0
             0 1 -1 0;
let Q =  0.05 0.05;
let Omega[2,2] = 0.05 0.0
                 0.0 0.10;
Omega = Omega^2;

TE_ex_ante = 0.015;

proc (1) = f_tau(tau);
  local x,phi,Pi_,mu_cond,TE;
  {x,phi,Pi_,mu_cond,TE} = Black_Litterman_Solve(x_star,Sigma,sh,0,tau,P,Q,Omega,0);
  retp(TE - TE_ex_ante);
endp;

tau_star = Bisection(&f_tau,0,3);
{x,phi,Pi_,mu_cond,TE} = Black_Litterman_Solve(x_star,Sigma,sh,0,tau_star,P,Q,Omega,0);
print x;