new;
library qam,optmum,pgraph;

let mu =    0.05 0.09 0.07 0.06;
let sigma = 0.04 0.15 0.05 0.10;
let rho =   1.00 
            0.10  1.00
            0.40  0.20  1.00
           -0.10 -0.10 -0.20 1.00;
rho = xpnd(rho);
Cov = rho .* sigma .* sigma';

Bounds = 0~1;

phi = seqa(-1,0.0025,1500);
{x,er,risk,phi,retcode} = Qprog_Allocation_Solve(mu,cov,1,0,0,0,Bounds,phi,0); 

let rf = 0.02 0.03 0.04 0.05 0.06;
n = rows(rf);
x_ = zeros(4,n); 
mu_x = zeros(n,1); 
sigma_x = mu_x; 
phi_x = mu_x; 
sharpe_x = mu_x;
i = 1;
do until i > n;
  {x_[.,i],mu_x[i],sigma_x[i],sharpe_x[i],phi_x[i]} = Qprog_Sharpe_Maximize(mu,cov,1,0,0,0,Bounds,rf[i],0,0.001);  
  i = i +1;
endo;

data = rf' | x_ | phi_x' | mu_x' | sigma_x' | Sharpe_x';

Sharpe = (er - rf')./risk;
indx = maxindc(Sharpe);
data = 100*(rf' | x[.,indx]) | phi[indx]' | 100*(er[indx]' | risk[indx]') | subvec(Sharpe',indx)';

TexFile = "sharpe2.tex";
mask = 1;
let fmt[1,3] = 
               "%lf" 6 2;
Tabular(TeXFile,data,mask,fmt,0,0,0,0,1);

cls;
call text_print(TexFile);

