new;
library qam,pgraph,optmum;

cls;


let mu =    0.05 0.09 0.07 0.06;
let sigma = 0.04 0.15 0.05 0.10;
let rho =   1.00 
            0.10  1.00
            0.40  0.20  1.00
           -0.10 -0.10 -0.20 1.00;
rho = xpnd(rho);
Cov = rho .* sigma .* sigma';

Bounds = 0~1;

let phi = 0.00 0.10 0.20 0.30 0.50 1.00 5.00;
{x,er,risk,phi,retcode} = Qprog_Allocation_Solve(mu,cov,1,0,0,0,Bounds,phi,0);  

TexFile = "qprog6.tex";
mask = 1;
let fmt[7,3] = 
               "%lf" 6 2
               "%lf" 6 2
               "%lf" 6 2
               "%lf" 6 2
               "%lf" 6 2
               "%lf" 6 2
               "%lf" 6 2;
data = phi'|100*(x|er'|risk');
call Tabular(TeXFile,data,mask,fmt,0,0,0,0,1);

cls;
call text_print(TexFile);

phi = seqa(-1,0.005,300);
{x,er,risk,phi,retcode} = Qprog_Allocation_Solve(mu,cov,1,0,0,0,Bounds,phi,0);  

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6; _plwidth = 10; _pcolor = 1;
  xlabel("\216Volatilite (en %)");
  ylabel("\216Rendement espere (en %)");
  _pmsgstr = "-\000-\000-";
  _pmsgctl = 4.8~0.31~0.07~45~2~0~5 |
             0.18~4.12~0.07~-45~2~0~5 |
             0.18~4.36~0.07~-45~2~0~5 ;
  graphprt("-c=1 -cf=qprog6.eps");
  xy(100*Risk,100*ER);

