new;
library option,pgraph;

S0 = seqa(80,1,41);
K = 100;
sigma = 0.20~0.20~0.30~0.20;
r = 0.05;
b = r;
tau = 1/52~0.5~0.5~1.0;

C = EuropeanBS(S0,K,sigma,tau,b,r);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3|5; _plwidth = 10; _pcolor = 1|2|3|4;
  xlabel("\216S]0["); ylabel("\216C");
  ytics(0,25,5,2);
  _plegstr = "\202s\201 = 20% et T = 1W\000\202s\201 = 20% et T = 6M\000\202s\201 = 30% et T = 6M\000\202s\201 = 20% et T = 1Y";
  _plegctl = {2 5 2 5};  
  graphprt("-c=1 -cf=ap-option1.eps");
  xy(S0,C);
