new;
library option,pgraph;

S0 = seqa(80,1,41);
K = 100;
sigma = 0.20;
r = 0.05;
b = r;
tau = seqa(0.02,0.01,100)';

D1 = EuropeanBS_Delta(S0,K,sigma,tau,b,r);

sigma = 0.50;
D2 = EuropeanBS_Delta(S0,K,sigma,tau,b,r);

graphset;
  begwind;
  window(1,2,0);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3; _plwidth = 10; _pzclr = 1|2|3|4;
  _pnumht = 0.15; _paxht = 0.20; _ptitlht = 0.30;
  xlabel("\216T"); 
  ylabel("\216S]0[");
  xtics(0,1.0,0.2,2); 
  ytics(80,120,10,2); 
  ztics(0,1.0,0.2,2);
  _pzclr = seqa(1,1,7);

  volume(1,1,1.25);
  
  setwind(1);
    title("\216\202s\201 = 20%");
    surface(tau,S0,D1);

  setwind(2);
    title("\216\202s\201 = 50%");
    surface(tau,S0,D2);

    graphprt("-c=1 -cf=ap-option11.eps");

  endwind;

