new;
library qam,pgraph,optmum;

proc (1) = Compute_Exposure(vol,vol_target,min_lev,max_lev);
  local lev;

  lev = vol_target/vol;
  lev = _min_(_max_(lev,min_lev),max_lev);

  retp(lev);
endp;

vol = seqa(0,0.40/100,101);
Lev = Compute_Exposure(vol,0.15,0.5,1.5);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0; _pgrid = {3,1};
  _plwidth = 10; _pcolor = 1; _pltype = 6;
  xlabel("\216Volatilite (en %)");
  ylabel("\216Exposition (en %)");
  xtics(0,40,5,2);
  _psym = 15~100~11~5.5~0~1~10;
  _pmsgstr = "-";
  _pmsgctl = 4.85~0.30~0.07~45~2~1~6;
  graphprt("-c=1 -cf=stopLoss4.eps");
  xy(100*vol,100*lev);

