new;
library pgraph;

PathName = "..\\data\\";
FileName = PathName $+ "qam_volume";

data = loadd(FileName);
vnames = "" $+ getname(FileName);
loads data_str = ^FileName;

indx = sortind(data[.,1]);
data = data[indx,.];
data_str = data_str[indx,.];

mcap = data[.,1];
avg_price = data[.,4];
avg_volume = data[.,5];

daily_volume = avg_price .* avg_volume * 1000 / 1e6;
trade = 2;
pc = 100 * trade / daily_volume;

p = 20;
pc = pc/p;

s = 1|2|3|4|5|100;
frq = counts(pc,s);
frq = frq/rows(data);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pnumht = 0.13;
  _pbarwid = 0.2; _pbartyp = {6 2};
  let xlab = "1" "2" "3" "4" "5" "6+";
  asclabel(xlab,0);
  ytics(0,80,10,2);
  graphprt("-c=1 -cf=liquidity3.eps");
  bar(0,100*frq);



