new;
library qam,pgraph,optmum;

cls;

rndseed 123;

let R  = -2.5 -2.3 -0.5 0.1 0.2 0.7 1.2 1.3 4.5 12.6; 
let Y  =    0   0   0   0   0   1   1   1   1   1;
let S1 =    2 1.2 0.2 -1.7 1.2 0.2  -2   3  -2.7 1.5;
let S2 = -1.5 0.2 0.8 -1.7 0.6 0.9  1.2  2   1.5 0.5;

{Short1,Long1,RS1,RL1} = Long_Short_Scoring(S1,R,0);
{Short2,Long2,RS2,RL2} = Long_Short_Scoring(S2,R,0);
print Short1~Long1~Short2~Long2;
print RS1~RL1~RS2~RL2;

{Gini,dataSelect,dataPerf,dataDiscr} = Scoring_Curve(Y,S1,0,0);

graphset;
  window3d;

  _pdate = ""; _pnum = 2; _pframe = 0;
  _paxht = 0.25; _pnumht = 0.22; _ptitlht = 0.25;
  _plwidth = 10; _pltype = 6|3; _pcolor = 1|4;
  xtics(0,1,0.2,2);
  xlabel("\216x");

  setwind(1);
    title("\216Courbe (S)");
    ylabel("\216S(x)");
    _pline = 1~1~0~0~1~1~0~0~10;
    ytics(0,1.0,0.2,2);
    xy(dataSelect[.,1],dataSelect[.,2 3]);

    _pmsgctl = 0;

  setwind(2);
    title("\216Courbe (P)");
    ylabel("\216P(x)");
    _pline = 1~1~0~1~1~1~0~0~10;
    ytics(0,1.25,0.25,2);
    xy(dataPerf[.,1],dataPerf[.,2 3]);

  setwind(3);
    title("\216Courbe (D)");
    ylabel("\216D(x)");
    _pline = 1~1~0~0~1~1~0~0~10;
    ytics(0,1.0,0.2,2);
    xy(dataDiscr[.,1],dataDiscr[.,2 3]);

    graphprt("-c=1 -cf=scoring7.eps");

  endwind;

