new;
library qam,nnet,optmum,pgraph,gwizard;

x = seqa(-10,0.1,100)|seqa(0.1,0.1,100);
Nx = rows(x);

y = zeros(Nx,3);
grd = zeros(Nx,3);
hss = zeros(Nx,3);

declare matrix function;
fn f(x) = nnet_fn(x,function);

i = 1;
do until i > 3;
  function = i;
  y[.,i] = f(x);
  grd[.,i] = gradp2(&f,x);
  hss[.,i] = hessp2(&f,x);
  i = i + 1;
endo;

graphset;
  window3u;

  makewind(2*9/8,6.855/4,3*9/8,3*6.855/4,1);
  makewind(2*9/8,6.855/4,2*9/8,2*6.855/4,1);
  makewind(2*9/8,6.855/4,4*9/8,2*6.855/4,1);

  makewind(2*9/8,6.855/4,1*9/8,1*6.855/4,1);
  makewind(2*9/8,6.855/4,0*9/8,0*6.855/4,1);
  makewind(2*9/8,6.855/4,2*9/8,0*6.855/4,1);

  makewind(2*9/8,6.855/4,5*9/8,1*6.855/4,1);
  makewind(2*9/8,6.855/4,4*9/8,0*6.855/4,1);
  makewind(2*9/8,6.855/4,6*9/8,0*6.855/4,1);

  _pdate = ""; _pnum = 0; _paxes = 0; _pbox = 12; _pframe = 0;
  xtics(0,1,1,0);
  ytics(0,1,1,0);
  let string msg[3,1] = "Logit" "Logit2" "Tanh";
  i = 1;
  do until i > 3;
    setwind(i);
      _pmsgstr = msg[i];
      _pmsgctl = 0.05~0.90~0.30~0~1~0~8;
      draw;
    i = i + 1;
  endo;

  fonts("simplex simgrma");

  _pmsgctl = 0;
  _pnum = 2; _paxes = 1; _pbox = 0;
  _pnumht = 0.30; _ptitlht = 0.50;
  _pcolor = 1; _plwidth = 10;
  xtics(-10,10,5,5);

  setwind(4);
    title("\216f\202\34\201x\202\118\201");
    ytics(0,1,0.2,2);
    xy(x,y[.,1]);
  setwind(5);
    title("\216\202\92\201]x[f\202\34\201x\202\118\201");
    ytics(0,0.30,0.1,2);
    xy(x,grd[.,1]);
  setwind(6);
    title("\216\202\92\201[2]]x[f\202\34\201x\202\118\201");
    ytics(-0.10,0.10,0.05,2);
    xy(x,hss[.,1]);

  setwind(7);
    title("\216f\202\34\201x\202\118\201");
    ytics(-1,1,0.5,2);
    xy(x,y[.,2]);
  setwind(8);
    title("\216\202\92\201]x[f\202\34\201x\202\118\201");
    ytics(0,0.60,0.2,2);
    xy(x,grd[.,2]);
  setwind(9);
    title("\216\202\92\201[2]]x[f\202\34\201x\202\118\201");
    ytics(-0.20,0.20,0.10,2);
    xy(x,hss[.,2]);

  setwind(10);
    title("\216f\202\34\201x\202\118\201");
    ytics(-1,1,0.5,2);
    xy(x,y[.,3]);
  setwind(11);
    title("\216\202\92\201]x[f\202\34\201x\202\118\201");
    ytics(0,1,0.2,2);
    xy(x,grd[.,3]);
  setwind(12);
    title("\216\202\92\201[2]]x[f\202\34\201x\202\118\201");
    ytics(-0.80,0.80,0.40,2);
    xy(x,hss[.,3]);

  graphprt("-c=1 -cf=ann1.eps");
    
  endwind;

