/*
**> Reprsentation du rseau 
*/

new;
library qam,nnet,optmum,pgraph,gwizard;

rndseed 123;

nnet_set;

Nx = 3;
Nt = 1;
J = 2;

_nnet_MaxIters = 1;
__output = 0;

scaled = 1;
_nnet_function = 1|scaled;

x = rndu(10,Nx);
t = rndu(10,Nt);

/*
** 1er rseau
*/

dirlnk = 0;
c1 = 0;
c2 = 0;
_nnet_DirectLink = dirlnk;
_nnet_Constant = c1|c2;
nnet = nnet_fit(0,X,T,0,0,0,0,J);
gBuffer1 = nnet_plot(nnet,0);

/*
** 2me rseau
*/

dirlnk = 0;
c1 = 1;
c2 = 0;
_nnet_DirectLink = dirlnk;
_nnet_Constant = c1|c2;
nnet = nnet_fit(0,X,T,0,0,0,0,J);
gBuffer2 = nnet_plot(nnet,0);


/*
** 3me rseau
*/

dirlnk = 1;
c1 = 1;
c2 = 0;
_nnet_DirectLink = dirlnk;
_nnet_Constant = c1|c2;
nnet = nnet_fit(0,X,T,0,0,0,0,J);
gBuffer3 = nnet_plot(nnet,0);

/*
** 4me rseau
*/

dirlnk = 1;
c1 = 1;
c2 = 1;
_nnet_DirectLink = dirlnk;
_nnet_Constant = c1|c2;
nnet = nnet_fit(0,X,T,0,0,0,0,6);
gBuffer4 = nnet_plot(nnet,0);

graphset;

  begwind;
  window(2,2,0);

  size = 7;

setwind(1);

  gWizardSet(gBuffer1,1);
  title("\216Architecture #1");

  _pmsgstr = "x]1[\000x]2[\000x]3[\000y]1[\000y]2[\000v]1[\000u]1[\000u]2[\000z]1[";
  _pmsgctl = 0.96~0.75~0.25~0~1~3~10 | 
             1.96~0.75~0.25~0~1~3~10 |
             2.96~0.75~0.25~0~1~3~10 |
             1.33~2.97~0.25~0~1~3~10 |
             2.55~2.97~0.25~0~1~3~10 |
             1.83~4.05~0.25~0~1~3~10 |
             1.33~1.97~0.25~0~1~3~10 |
             2.55~1.97~0.25~0~1~3~10 |
             1.92~5.20~0.25~0~1~3~10 ;
  _pline[11,9] = size;
  _ptitlht = 0.25;
  _psym[.,4] = ones(rows(_psym),1)*5;
            
  gWizardDraw(gBuffer1,1);   

setwind(2);

  gWizardSet(gBuffer2,1);
  title("\216Architecture #2");

  _pmsgstr = "C";
  _pmsgctl = 0.94~0.65~0.25~0~1~3~10;
  _pline[1 2,9] = size|size;

  _ptitlht = 0.25;
  _psym[.,4] = ones(rows(_psym),1)*5;
            
  gWizardDraw(gBuffer2,1);   

setwind(3);

  gWizardSet(gBuffer3,1);
  title("\216Architecture #3");
  _pline[13 14 15,9] = size|size|size;            

  _ptitlht = 0.25;
  _psym[.,4] = ones(rows(_psym),1)*5;

  gWizardDraw(gBuffer3,1);   

setwind(4);

  gWizardSet(gBuffer4,1);
  title("\216Architecture #4");

  _ptitlht = 0.25;
  _psym[.,4] = ones(rows(_psym),1)*5;

  gWizardDraw(gBuffer4,1);   


  graphprt("-c=1 -cf=ann3.eps");

endwind;