new;
library qam,nnet,optmum,pgraph,gwizard;

nnet_set;

dataset = "..\\data\\data-gro-ann";
let Tname = "TPOS";
let Xnames = M_CT98 MVT CA_ AGE CCT CMLT CAV CAT AM97 PNB BENEF ITAXE
             DETFOU NOTES FLUXD FLUXC AGER DEPEN;

nnet_set;

load nnet = ann1;
{coeffs,A,Astar,B,Btilde,Bstar} = nnet_readCoeffs(nnet);
cnd_Astar = 1 + 0*Astar;
cnd_Astar[.,10] = zeros(rows(Astar),1);
cnd_Astar[1 9 6 10 5 15 11,10] = ones(7,1);
cnd_Bstar = 1 + 0*Bstar;
cnd_Bstar[1 11 15 21 25] = zeros(5,1);

{coeffs,sv,RR,r,J} = nnet_init(nnet);
{RR,r,sv} = nnet_prune(Astar,Bstar,cnd_Astar,cnd_Bstar);

_nnet_MaxIters = 0;
_nnet_analyze = 0;

nnet_1 = nnet_fit(dataset,Xnames,Tname,0,sv,RR,r,J);

gbuffer = nnet_plot(nnet_1,0);

graphset;

  gWizardSet(gBuffer,1);    
  _ptitle = "";
  _pline[13:21,8] = 15 + zeros(9,1);
  _psym[20:28,5] = 15 + zeros(9,1);
  _psym[31:39,5] = 15 + zeros(9,1);
  graphprt("-c=1 -cf=ann7.eps");    
  gWizardDraw(gBuffer,1);    
