new;
library qam,pgraph;

PathName = "..\\Data\\";
datFileName = PathName $+ "qam_carry_trade";

data = loadd(datFileName);
vnames = "" $+ getname(datFileName);

first_Date = 20000101;
last_Date = 20091231;
Dates = TradingDates(first_Date,last_Date);
nDates = rows(Dates);
x = miss(zeros(nDates,2),0);
data = selif(data,(data[.,1] .>= first_date) .and (Data[.,1] .<= last_date));
indx = indnv(data[.,1],Dates);
s = seqa(1,1,rows(indx));
{indx,s} = packr2(indx,s);
x[indx,.] = data[s,2 3];

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _plwidth = 10; _pltype = 6|3; _pcolor = 1|4;
  xtics(1,nDates,256,2);
  ytics(75,250,25,2);
  let xlab = "2000" "2001" "2002" "2003" "2004" "2005" "2006" "2007" "2008" "2009";
  asclabel(xlab,0);
  graphprt("-c=1 -cf=carry1.eps");
  xy(0,x[.,2]);

