new;
library qam,pgraph;

PathName = "..\\Data\\";
datFileName = PathName $+ "qam_carry_trade_3m";

data = loadd(datFileName);
Dates = Data[.,1];
names = getname(datFileName);

let delete_names = Date usd2;
keep_names = setdif(names,delete_names,2);
keep_names = sortcc(keep_names,1);

indx = indcv(keep_names,names);
data = data[.,indx];
names = names[indx];

selected_dates = seqa(2005,1,5) .*. ones(4,1) * 1e4 + ones(5,1) .*. seqa(1,3,4) * 100 + 1;
selected_dates = GetNextDays(selected_dates,-1);

indx_dates = closest_index(selected_dates,Dates);
Dates = Dates[indx_dates];
nDates = rows(Dates);
data = data[indx_dates,.];
nCur = cols(data);

selected_Cur = zeros(nDates,10);
selected_Carry = zeros(nDates,10);

t = 1;
do until t > nDates;

  carry = Data[t,.]';
  indx = sortind(carry);
  notOK = (carry .== error(0)) .or (carry .>= 40);

  nFind = 0;
  indx_Short = zeros(5,1);

  j = 1;
  do until j > nCur;
    if notOK[indx[j]];
      j = j + 1;
      continue;
    endif;
    nFind = nFind + 1;
    indx_Short[nFind] = indx[j];    
    if nFind >= 5;
      break;
    endif;
    j = j + 1;
  endo;

  indx_Short = rev(indx_Short);

  nFind = 0;
  indx_Long = zeros(5,1);
  indx = rev(indx);

  j = 1;
  do until j > 21;
    if notOK[indx[j]];
      j = j + 1;
      continue;
    endif;
    nFind = nFind + 1;
    indx_Long[nFind] = indx[j];    
    if nFind >= 5;
      break;
    endif;
    j = j + 1;
  endo;

  selected_Cur[t,.] = (names[indx_Long] | names[indx_Short])';
  selected_Carry[t,.] = (carry[indx_Long] | carry[indx_Short])';

  t = t + 1;
endo;
print $selected_Cur;
print ftosa(selected_Carry,"%lf",1,1);
 


