new;
library sgam,pgraph,optmum;


sigma = 0.001~0.20~0.40;
tau = 5;
r = 0.0;
b = r; 

_Option_Type = "put";

S0 = 100;
K = seqa(50,1,151);
P = EuropeanBS(S0,K,sigma,tau,b,r);
g = K./(S0 + P);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 3|6|1; _plwidth = 10; _pcolor = 4|1|3;
  xtics(50,200,25,2);
  xlabel("\216K");
  ylabel("\216g");
  _plegstr = "\202S\201 = 0\000\202S\201 = 20%\000\202S\201 = 40%";
  _plegctl = {2 5 5 2};
  graphprt("-c=1 -cf=cppi1.eps");
  xy(K,g);
