new;
library qam,optmum,pgraph;

#include ir.params

tau = seqa(0.001,0.10,301);

SpotRate = NelsonSiegel_SpotRate(params,tau);
m = 1/12~2;
ForwardRate = NelsonSiegel_ForwardRate(params,tau,m);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3|1; _plwidth = 10; _pcolor = 1|4|2;
  xlabel("\216Maturite (en annees)"); 
  xtics(0,20,5,12);
  ytics(0,6,1,2);
  _plegstr = "Spot\0001M forward\0002Y forward";
  _plegctl = {2 5 5 2};
  _pmsgstr = "-\000-";
  _pmsgctl = 4.20~0.30~0.07~45~2~0~6 |
             5.35~0.30~0.07~45~2~0~6 ;
  graphprt("-c=1 -cf=ir1.eps");
  xy(tau,100*(SpotRate~ForwardRate));



