new;
library qam,optmum,pgraph;

#include ir.params

t = seqa(1,1,5);
Rt = NelsonSiegel_SpotRate(params,t);
print ftosa(100*Rt,"%lf",3,2);

Coupon = 5;
Notionel = 100;

max_nt = 20;
P = zeros(max_nt,1);

// en t = 0

i = 1;
do until i > max_nt;

  nt = i;

  t = seqa(1,1,nt);
  Ct = Coupon * ones(nt,1);
  Ct[nt] = Notionel + Ct[nt];

  Rt = NelsonSiegel_SpotRate(params,t);
  P[i,1] = Bond_Compute_Price(t,Ct,Rt);

  i = i + 1;
endo;

P_ = 100|trimr(P,0,1);

Riding = (P_ + Coupon)./P - 1.0;
R1 = NelsonSiegel_SpotRate(params,1);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6; _plwidth = 10; _pcolor = 1;
  xtics(0,15,1,0);
  ytics(0,5,1,2);
  xlabel("\216Maturite (en annees)"); 
  _pmsgstr = "-\000-";
  _pmsgctl = 4.20~0.30~0.07~45~2~0~6 |
             5.35~0.30~0.07~45~2~0~6 ;
  graphprt("-c=1 -cf=ir11.eps");
  xy(0,100*(Riding-R1));
