new;
library qam,optmum,pgraph;

#include ir.params

cls;

t = seqa(1,1,5);
Rt = NelsonSiegel_SpotRate(params,t);
print ftosa(100*Rt,"%lf",3,2);

Coupon = 5;
Notionel = 100;

max_nt = 5;
P = zeros(max_nt,1);
new_P = zeros(max_nt,1);

dR = 0.02;
dr = 0.0076;

i = 1;
do until i > max_nt;

  nt = i;

  t = seqa(1,1,nt);
  Ct = Coupon * ones(nt,1);
  Ct[nt] = Notionel + Ct[nt];

  Rt = NelsonSiegel_SpotRate(params,t);
  P[i,1] = Bond_Compute_Price(t,Ct,Rt);

  new_P[i,1] = Bond_Compute_Price(t,Ct,Rt+dR);

  i = i + 1;
endo;

P_1 = 100|trimr(P,0,1);
P_2 = 100|trimr(new_P,0,1);
P_ = P_1~P_2;

Riding = (P_ + Coupon)./P - 1.0;

print ftosa(P~P_[.,1]~100*Riding[.,1],"%lf",3,2);
print ftosa(P~P_[.,2]~100*Riding[.,2],"%lf",3,2);