new;
library qam,optmum,pgraph;

#include ir.params

cls;

t = seqa(1,1,5);
Rt = NelsonSiegel_SpotRate(params,t);
print ftosa(100*Rt,"%lf",3,2);

Coupon = 5;
Notionel = 100;

max_nt = 5;
P = zeros(max_nt,1);

i = 1;
do until i > max_nt;

  nt = i;

  t = seqa(1,1,nt);
  Ct = Coupon * ones(nt,1);
  Ct[nt] = Notionel + Ct[nt];

  Rt = NelsonSiegel_SpotRate(params,t);
  P[i,1] = Bond_Compute_Price(t,Ct,Rt);

  i = i + 1;
endo;

P_ = 100|trimr(P,0,1);

Riding = (P_ + Coupon)./P - 1.0;

R1 = NelsonSiegel_SpotRate(params,1);
ER = Riding - R1;
Carry_C = Coupon./P;
Carry_F = -R1*ones(max_nt,1);
Carry = Carry_C + Carry_F;
Roll_Down = P_./P - 1.0;

print ftosa(seqa(1,1,max_nt)~P~100*(Carry_C~Carry_F~Carry~Roll_Down~ER),"%lf",3,2);
