new;
library qam,optmum,pgraph;

#include ir.params

tau = seqa(0.001,0.10,301);

param0 = params;

let param1 = 0.06 -0.05 0.06 10;
let param2 = 0.07 -0.07 0.06 10;
let param3 = 0.035 -0.035 0.09 5;

SpotRate1 = NelsonSiegel_SpotRate(param0~param1,tau);
SpotRate2 = NelsonSiegel_SpotRate(param0~param2,tau);
SpotRate3 = NelsonSiegel_SpotRate(param0~param3,tau);

graphset;
  window3u;

  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3|1; _plwidth = 10; _pcolor = 1|4|2;
  _paxht = 0.22; _pnumht = 0.22; _ptitlht = 0.275;
  xlabel("\216Maturite (en annees)"); 
  xtics(0,20,5,12);
  ytics(0,6,1,2);
  _pmsgstr = "-\000-";
  _pmsgctl = 4.05~0.35~0.09~45~2~0~6 |
             5.70~0.35~0.09~45~2~0~6 ;

  setwind(1);
    title("\216Mouvement de niveau");
    xy(tau,100*SpotRate1);

  setwind(2);
    title("\216Mouvement de pentification");
    xy(tau,100*SpotRate2);

  setwind(3);
    title("\216Mouvement de courbure");
    xy(tau,100*SpotRate3);

    graphprt("-c=1 -cf=ir2.eps");

  endwind;




