new;
library qam,pgraph,optmum;

cls;

S0 = 100;
a = 1;
b = 100;
sigma = 20;

rndseed 123;
{t,St} = Simulate_OU(b,a,b,sigma,0,5,501,1);

let x = 3.72 4.11 4.59;
y0 = fspline(csspline(t,St,1,1),x);
y1 = y0 .* (1.01|0.985|1.006);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6; _plwidth = 8; _pcolor = 1;
  xtics(0,5,1,2);
  _pline = 1~3~0~b~5~b~0~4~10;
  _psym = x[1]~y0[1]~8~2.0~4~1~10;
  _parrow = x[1]~y0[1]~x[2]~y0[2]~5~0.15~01~4~1~6~10 |
            x[1]~y0[1]~x[3]~y0[3]~5~0.15~01~4~1~6~10 ;
  _pmsgstr = "Position acheteuse\000Position vendeuse\000A\000B\000C";
  e = ones(rows(x),1);
  _pmsgctl = 6~1~0.2~0~2~2~10 |
             2~6~0.2~0~2~2~10 |
             0.985*x~y1~e.*(0.15~0~1~4~10);
  graphprt("-c=1 -cf=momentum12.eps");
  xy(t,St);
