new;
library qam,pgraph,optmum;

S = 100;
K = 1.10 * S;
sigma = 0.30;
tau = 0.25;
dy = 0.03;
r = 0.05;

C = BS_Call(S,K,sigma,tau,dy,r);

S = seqa(80,0.1,451);
S0 = 100;
sigma = 0.30;
tau = 0.25;
K = 1.10 .* S0;
dy = 0.02;
r = 0.04;
x = 1.0~0.0;

C = BS_Call(S0,K,sigma,tau,dy,r);
PnL = CoveredCall_Payoff(x,S,S0,K,C);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pcross = 1; _pltype = 6|3; _plwidth = 10;
  _pcolor = 2|0;
  xtics(80,125,5,5);
  ytics(-20,20,5,1);
  xlabel("\216S");
  ylabel("\216PnL");
  _parrow = S0~0~S0~C~3~0.1~02~0~1~6~10;
  _pmsgstr = "C";
  _pmsgctl = 1.003*S0~0.5*C~0.125~0~1~0~9;
  _plegstr = "Covered Call\000Position longue";
  _plegctl = {2 5 5 1.5};
  graphprt("-c=1 -cf=option20.eps");
  xy(S,PnL);