new;
library qam,optmum,pgraph;

cls;

#include option.src

S0 = 100;
K_C0 = 1.05 * S0;
K_P0 = 0.97 * S0;
sigma = 0.30;
tau = 3/12;
dy = 0.00;
r = 0.00;

C0 = BS_Call(S0,K_C0,sigma,tau,dy,r);
P0 = BS_Put(S0,K_P0,sigma,tau,dy,r);

S1 = 0.95 * S0;
S2 = 1.00 * S0;

PnL2 = BullSpread_Payoff(S2,S0,K_C0,C0,K_P0,P0);
print C0~P0~S2~PnL2;

tau = 2/12;

C1 = BS_Call(S1,K_C0,sigma,tau,dy,r);
P1 = BS_Put(S1,K_P0,sigma,tau,dy,r);
PnL1 = (C0 - C1) + (P1 - P0);

print C1~P1~PnL1;

tau = 2/12;
K_C1 = 100;
K_P1 = 90;
C2 = BS_Call(S1,K_C1,sigma,tau,dy,r);
P2 = BS_Put(S1,K_P1,sigma,tau,dy,r);

PnL12 = BullSpread_Payoff(S2,S1,K_C1,C2,K_P1,P2);
print C2~P2~S2~PnL12;
print PnL2~(PnL1+PnL12);


