new;
library qam,pgraph,optmum;

N_Vega = 50000;
volatility = seqa(0,1,50);
K = 25;
PnL1 = VarianceSwap_Payoff(N_vega,volatility,K);
PnL2 = VolatilitySwap_Payoff(N_vega,volatility,K); 

graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(9,6.855,0,0,1);

  _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 1;
  _pltype = 6|3; _plwidth = 10; _pcolor = 1|4;
  fonts("simplex simgrma");
  xlabel("\216\202s\201]t]1[,t]2[[");
  ylabel("\216PnL");
  ytics(-2e6,2e6,0.5e6,2);
  xtics(0,50,10,2);

  setwind(1);
    _plegstr = "Swap de variance\000Swap de volatilite";
    _plegctl = {2 5 5 1.5};
    xy(volatility,PnL1~PnL2);
  setwind(2);
    _pmsgstr = "\202\39\201";
    _pmsgctl = 7.5~1.67~0.20~0~2~0~5;
    draw;
    graphprt("-c=1 -cf=volatility10.eps");
  endwind;

let volatility = 20 30;
PnL = VarianceSwap_Payoff(N_vega,volatility,K);
print ftosa(PnL,"%lf",3,2);

