new;
library qam,pgraph,optmum;

datFileName = "..\\data\\qam_spx_daily_option";

Data = loadd(datFileName);
vnames = getname(datFileName);

let selected_names = "date" "SGI_VOL";
indx = indcv(selected_names,vnames);
data = data[.,indx];

data = selif(data, (data[.,1] .>= 19900101) .and (data[.,1] .<= 20091231));
nDates = rows(data);

Dates = Data[.,1];
SGI_VOL = Data[.,2];

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6; _plwidth = 10; _pcolor = 2;
  xtics(1,261*20,261*5,2);
  ytics(0,1200,200,2);
  let xlab = "1990" "95" "2000" "05" "10";
  asclabel(xlab,0);
  graphprt("-c=1 -cf=volatility14.eps");
  xy(0,SGI_VOL);

SGI_VOL = Fill_Miss(Fill_Miss(SGI_VOL,1),3);

data = SGI_VOL;
{maxDD,startDD,endDD} = Compute_Maximum_Drawdown(data,1);

Rdt = data ./ lag1(data) - 1.0;
Rdt = packr(Rdt);
vol = sqrt(260) * stdc(Rdt) ;

print maxDD;
print Dates[startDD];
print Dates[endDD];
print Vol;

