new;
library qam,tsm,optmum,pgraph;

k = seqa(0,1,601);
n = rows(k)-1;

d = 0.20;
rho1 =  autoc_d(d,n);

d = 0.450;
rho2 =  autoc_d(d,n);

phi = 0.99;
rho3 = phi^k;

phi = 0.99;
rho4 = phi^k;

r = rho1./rho3 ~ rho2./rho4;

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3; _plwidth = 10; _pcolor = 1|2;
  _pcross = 0;
  xlabel("\216k");
  _plegstr = "d = 0,2\000d = 0,45";
  _plegctl = {2 5 2 5};
  _pline = 1~3~0~0~600~0~0~4~10;
  graphprt("-c=1 -cf=arfima2.eps");
  logy(k,r);


proc autoc_d(d,n);
  local k,rho;

  rho = zeros(n+1,1);
  rho[1] = 1.0;
  k = 1;
  do until k > n;
    rho[k+1] = rho[k] * (k-1+d) / (k-d);
    k = k + 1;
  endo;

  retp(rho);
endp;

