new;
library qam,optmum,pgraph;

sigma = 0.20;
lambda = seqa(0,pi/100,101);

d = -0.40;
f1 = spectral_density_arfima(0,0,d,sigma,lambda)~spectral_density_arma(d,0,sigma,lambda);

d = 0.20;
f2 = spectral_density_arfima(0,0,d,sigma,lambda)~spectral_density_arma(d,0,sigma,lambda);

d = 0.40;
f3 = spectral_density_arfima(0,0,d,sigma,lambda)~spectral_density_arma(d,0,sigma,lambda);

d = 0.49;
f4 = spectral_density_arfima(0,0,d,sigma,lambda)~spectral_density_arma(d,0,sigma,lambda);


graphset;
  begwind;
  window(2,2,0);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3|1; _plwidth = 10; _pcolor = 1|2|4;
  _paxht = 0.225; _pnumht = 0.225; _ptitlht = 0.275;

  xtics(0,pi,pi/4,0);
  lab = " 0 \202p\201/4 \202p\201/2 \2013\202p\201/4 \202p\201";
  asclabel(lab,0);

  setwind(1);
    title("\216d = -0,40");
    ytics(0,0.02,0.005,2);
    xy(lambda,f1);

  ytics(0,0.06,0.01,2);

  setwind(2);
    title("\216d = 0,20");
    xy(lambda,f2);

  setwind(3);
    title("\216d = 0,40");
    xy(lambda,f3);

  setwind(4);
    title("\216d = 0,49");
    _plegstr = "ARFIMA(0,d,0)\000AR(1) avec \202F\201]1[ = d"; 
    _plegctl = {2 6 3.75 3};
    xy(lambda,f4);

    graphprt("-c=1 -cf=arfima3.eps");

  endwind;


