new;
library tsm,qam,optmum,pgraph;

datFileName = "..\\data\\qam_spx_daily_option";

Data = loadd(datFileName);
vnames = getname(datFileName);

let selected_names = "date" "SPX_PI" "SPX_VIX";
indx = indcv(selected_names,vnames);
data = data[.,indx];

data = selif(data, (data[.,1] .>= 19900101) .and (data[.,1] .<= 20091231));
nDates = rows(data);

Dates = Data[.,1];
SPX = Data[.,2];
VIX = Data[.,3];

h = 1;
dSPX = 100*(SPX./lagn(SPX,h) - 1);
dVIX = VIX - lagn(VIX,h);

{H1,x1} = regHurst(dSPX,2,10);
{H2,x2} = regHurst(dVIX,2,10);

let sv = 0.0 0.20;
{d1,stderr,Mcov,LogL} = arfima(dSPX,0,0,sv,0|0);
{d2,stderr,Mcov,LogL} = arfima(dVIX,0,0,sv,0|0);

print H1~H1-0.5~d1[3];
print H2~H2-0.5~d2[3];