new;
library qam,pgraph,tsm,optmum;

phi = 0.5;
sigma = 0.20;

n = 300;
_fourier = 1;

c = seqa(10,10,50);
nIters = rows(c);

l = zeros(nIters,2);

iter = 1;
do until iter > nIters;
  n = c[iter];
  x = recserar(sigma * rndn(n,1),0,phi);
  t = seqa(1,1,n);

  {lambda,I} = PDGM(x);
  sdf = spectral_density_arma(phi,0,sigma,lambda);

  S = rotater(seqm(1,phi,n)' + zeros(n,n),seqa(0,1,n))';
  S = xpnd(vech(S));
  S = sigma^2 * S;

  l[iter,1] = -n/2*ln(2*pi) - 0.5 * ln(det(Sigma)) - 0.5 * x'*invpd(Sigma)*x;
  l[iter,2] = -n/2*ln(2*pi) - 0.5 * sumc(ln(sdf))  - 0.5 * sumc(I./sdf);

  iter = iter + 1;
endo;

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 0;
  xy(0,l[.,1]./l[.,2]-1);


