new;
library qam,pgraph;

lambda = seqa(0,2*pi/1000,1001);

lambda_c = pi/4~pi/2;
d1 = spectral_density_cycle(0.50,lambda_c,0.10,lambda);
d2 = spectral_density_cycle(0.75,lambda_c,0.10,lambda);
d3 = spectral_density_cycle(0.95,lambda_c,0.10,lambda);
d4 = spectral_density_cycle(0.99,lambda_c,0.10,lambda);

graphset;
  begwind;
  window(2,2,1);

    fonts("simplex simgrma");
    _pdate = ""; _pnum = 2; _pframe = 0;
    _pltype = 6|1|3; _pcolor = 1|2|4; _plwidth = 10;
    _pysci = 0; _pnumht = 0.225; _paxht = 0.225; _ptitlht = 0.275;

  xtics(0,pi,pi/4,0);
  let xlab = "0" "\202p\201/4" "\202p\201/2" "\2013\202p\201/4" "\202p\201";
  asclabel(xlab,0);


  setwind(1);
    title("\216\202r\201 = 0,50");
    ytics(0,4e-3,1e-3,2);
    xy(lambda,d1);

  setwind(2);
    title("\216\202r\201 = 0,75");
    ytics(0,1.5e-2,0.5e-2,2);
    xy(lambda,d2);

  setwind(3);
    title("\216\202r\201 = 0,95");
    ytics(0,0.4,0.1,2);
    xy(lambda,d3);

  setwind(4);
    title("\216\202r\201 = 0,99");
    ytics(0,8,2,2);
    _plegstr = "\202l\201]c[ = \202p\201/4\000\202l\201]c[ = \202p\201/2";
    _plegctl = {2 6 5.5 3};
    xy(lambda,d4);

    graphprt("-c=1 -cf=spectral6.eps");

  endwind;

