new;
library pgraph,tsm,optmum,qam;

rndseed 123;

M = 10;
Nobs = 2^10;

_wcenter = 0;
{H,G,Htilde,Gtilde} = Daubechies(4);

t = seqa(1,1,Nobs);

let sigma[11,4] = 0.1  10  10  0.1
                  1   9   8  2
                  2   8   6  4
                  3   7   4  6
                  4   6   2  8
                  5   5   0.1  10
                  6   4   2  8
                  7   3   4  6
                  8   2   6  4
                  9   1   8  2
                 10   0.1  10  0.1;

s = seqa(1,1,M+1);

i = 1;
do until i > 4;
  sigma[.,i] = fspline(csspline(s,sigma[.,i],1,0.05),s);
  i = i + 1;
endo;

w = wavelet_variance_simulate(nobs,4,sigma,1);

x = w;
i = 1;
do until i > 4;
  x[.,i] = iwt(w[.,i],Htilde,Gtilde,0);
  i = i + 1;
endo;
x = (x - meanc(x)')./stdc(x)';

w = x;
i = 1;
do until i > 4;
  w[.,i] = wt(x[.,i],H,G,0);
  i = i + 1;
endo;

sigma = wavelet_variance_estimate(w);


graphset;
  begwind;
  window(2,2,0);
  sc = 6;
  makewind(9/sc,6.855/sc,1,5.5,0);
  makewind(9/sc,6.855/sc,7,5.5,0);
  makewind(9/sc,6.855/sc,1,2,0);
  makewind(9/sc,6.855/sc,5.5,0.75,0);
  

  _pdate = ""; _pnum = 2; _pframe = 0;
  _plctrl = -1; _pstype = 14; _psymsiz = 10.0;
  _pnumht = 0.225; _paxht = 0.225;

  xtics(1,11,1,0);
  xlabel("\216j");

  i = 1;
  do until i > 4;
    setwind(i);
      if i == 1;
        ytics(0.2,1.2,0.2,0);
      elseif i == 2;
        ytics(0,5,1,0);
      elseif i == 3;
        ytics(0.4,1.2,0.2,0);
      elseif i == 4;
        ytics(0.4,2.4,0.4,0);
      endif;
      _pcolor = i;
      xy(0,sigma[.,i]);
    i = i + 1;
  endo;

  xlabel("");
  xtics(0,1024,256,2);
  ytics(-4,4,2,0);
  _pltype = 6; _plwidth = 0; _pframe = 0; _pbox = 8; _plctrl = 0; _pnumht = 0.35;
  i = 1;
  do until i > 4;
    setwind(4+i);
      _pcolor = i;
      xy(0,x[.,i]);
    i = i + 1;
  endo;

  graphprt("-c=1 -cf=wavelet14.eps");     

  endwind;

