new;
library qam,tsm,optmum,pgraph;

M = 11;
N = 2^M;
t = seqa(0,1,N)/N;
x = sin(100*pi*t^2);

_fourier = 1;
{lambda,I} = PDGM(x);
Is = Smoothing(I);
I = I / (2*pi);
Is = Is / (2*pi);
q = trunc(rows(lambda)/2);
lambda = lambda[1:q];
I = I[1:q];
Is = is[1:q];

{H,G,Htilde,Gtilde} = Daubechies(4);
_wcenter = 0;
w = wt(x,H,G,0);

graphset;
  window3u;

  _pnum = 2; _pdate = ""; _pframe = 0;
  _ptitlht = 0.275; _paxht = 0.25; _pnumht = 0.225;
  fonts("simplex simgrma");

  setwind(1);
    title("\216Analyse en temps");
    xlabel("\216t");
    ylabel("\216x]t[");
    _plwidth = 6; _pcolor = 1;
    xtics(0,1,0.20,2);
    ytics(-1,1,0.50,2);
    xy(t,x);

  setwind(2);
    title("\216Analyse spectrale");
    lab = " 0 \202p\201/4 \202p\201/2 \2013\202p\201/4 \202p\201";
    asclabel(lab,0);
    xtics(0,pi,pi/4,0);
    _pcolor = 2; _pltype = 6;
    xlabel("\216\202l\201");
    ylabel("\216I\202\34\108\118\201");
    ytics(0,1.25,0.25,2);
    xy(lambda,I);

  setwind(3);
    title("\216Analyse en ondelettes");
    _wline = 8;
    call wplot(w,0,1);
    ylabel("\216 ");
    xlabel("\216Temps");
    xtics(0,N/2,128,0);
    ytics(0,12,1,1);
    let ylab = "" "1" "2" "3" "4" "5" "6" "7" "8" "9" "10" "11" "";
    asclabel(0,ylab);
    draw;

    graphprt("-c=1 -cf=wavelet4.eps");

  endwind;


