new;
library pgraph,tsm,optmum;

rndseed 1234;

Nobs = 2^10;

s = seqa(1,1,Nobs);
sigma = 1;
x0 = miss(0,0);
x = RND_arma(0.62|0.35,2,0,sigma,x0,Nobs);

{H,G,Htilde,Gtilde} = Daubechies(6);

_wcenter = 0;
w = wt(x,H,G,0);

let L[4,4] = 1 2 4 8
             . 3 5 9
             . . 6 10
             . . 7 11;

data = {};
let string str[4,1] = "d](9)["
                      "d](8)[ + d](7)["
                      "d](6)[ + d](5)[ + d](4)[ + d](3)["
                      "d](2)[ + d](1)[ + d](0)[ + c](0)[";

graphset;
  begwind;
  window(2,2,0);

  _pdate = ""; _pnum = 2; _pframe = 0;
  _pnumht = 0.20; _ptitlht = 0.30; _paxht = 0.225;

  i = 1;
  do until i > cols(L);

    w_ = extract(w,packr(L[.,i]));
    y = iwt(w_,Htilde,Gtilde,0);
    data = data~y;

    setwind(i);
      _pcolor = i; _plwidth = 10;
      ytics(-10,10,5,2);
      xtics(0,1024,128,2);
      title("\216" $+ str[i]);
      xy(s,y);

    i = i + 1;
  endo;

  graphprt("-c=1 -cf=wavelet7.eps");

  endwind;




